rm(list=ls())
graphics.off()
### install some libraries
library(glmnet)
library(stringr)
library(Matrix)
library(tm)
library(SparseM)
library(wordcloud)
library(SnowballC)
library(RgoogleMaps)
library(SparseM)
library(mutoss)
load(system.file('words' , "english.RData") , package='SnowballC')
options(stringsAsFactors = F)
new.window <- function()
{
#windows()
quartz()
}

### set the directories we need
read.folder <- "/Users/adamnowak/Dropbox/TextPricing/ATL_Data"
write.folder <- "/Users/adamnowak/Dropbox/TextPricing/ATL_Data"

### number of tokens to keep
tokens.to.keep <- 3000

setwd(read.folder)
#words <- read.csv(file="WordSwaps.csv", header=T)
raw <- read.csv(file="MLS_Atlanta.csv", header=T)
raw <- raw[sample(1:nrow(raw),10000,replace=F),]
raw[1:2,]

### clean
raw$public.remarks <- paste(" ",raw$public.remarks)," ",sep="")
raw$public.remarks <- gsub(" 1st "," first ",raw$public.remarks)
raw$public.remarks <- gsub(" 2nd "," second ",raw$public.remarks)
raw$public.remarks <- gsub(" ac "," acre ",raw$public.remarks)
raw$public.remarks <- gsub(" addl "," additional ",raw$public.remarks)
raw$public.remarks <- gsub(" ag "," agent ",raw$public.remarks)
raw$public.remarks <- gsub(" agt "," agent ",raw$public.remarks)
raw$public.remarks <- gsub(" appl "," appliances ",raw$public.remarks)
raw$public.remarks <- gsub(" appls "," appliances ",raw$public.remarks)
raw$public.remarks <- gsub(" aprvd "," approved ",raw$public.remarks)
raw$public.remarks <- gsub(" apvd "," approved ",raw$public.remarks)
raw$public.remarks <- gsub(" apvl "," approval ",raw$public.remarks)
raw$public.remarks <- gsub(" as is "," asis ",raw$public.remarks)
raw$public.remarks <- gsub(" asis "," asis ",raw$public.remarks)
raw$public.remarks <- gsub(" attny "," attorney ",raw$public.remarks)
raw$public.remarks <- gsub(" atty "," attorney ",raw$public.remarks)
raw$public.remarks <- gsub(" ba "," bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bath "," bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bath "," bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" baths "," bath ",raw$public.remarks)
raw$public.remarks <- gsub(" bck "," back ",raw$public.remarks)
raw$public.remarks <- gsub(" bd "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bdr "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bdrm "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bdrms "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bed "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bedrm "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bedrooms "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" beds "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bfast "," breakfast ",raw$public.remarks)
raw$public.remarks <- gsub(" bfst "," breakfast ",raw$public.remarks)
raw$public.remarks <- gsub(" bful "," beautiful ",raw$public.remarks)
raw$public.remarks <- gsub(" bk "," back ",raw$public.remarks)
raw$public.remarks <- gsub(" bkfast "," breakfast ",raw$public.remarks)
raw$public.remarks <- gsub(" bkfst "," breakfast ",raw$public.remarks)
raw$public.remarks <- gsub(" bkyd "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" blk "," black ",raw$public.remarks)
raw$public.remarks <- gsub(" br "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" brk "," brick ",raw$public.remarks)
raw$public.remarks <- gsub(" brkfst "," breakfast ",raw$public.remarks)
raw$public.remarks <- gsub(" brkr "," broker ",raw$public.remarks)
raw$public.remarks <- gsub(" brm "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" brs "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bsmnt "," basement ",raw$public.remarks)
raw$public.remarks <- gsub(" bsmt "," basement ",raw$public.remarks)
raw$public.remarks <- gsub(" bth "," bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" buyers "," buyer ",raw$public.remarks)
raw$public.remarks <- gsub(" byr "," buyer ",raw$public.remarks)
raw$public.remarks <- gsub(" cc "," closing costs ",raw$public.remarks)
raw$public.remarks <- gsub(" cert "," certified ",raw$public.remarks)
raw$public.remarks <- gsub(" ck "," check ",raw$public.remarks)
raw$public.remarks <- gsub(" clsng "," closing ",raw$public.remarks)
raw$public.remarks <- gsub(" cnv "," conversion ",raw$public.remarks)
raw$public.remarks <- gsub(" comm "," commission ",raw$public.remarks)
raw$public.remarks <- gsub(" cul de sac "," culdesac ",raw$public.remarks)
raw$public.remarks <- gsub(" cul desac "," culdesac ",raw$public.remarks)
raw$public.remarks <- gsub(" culde sac "," culdesac ",raw$public.remarks)
raw$public.remarks <- gsub(" dbl "," double ",raw$public.remarks)
raw$public.remarks <- gsub(" din "," dining ",raw$public.remarks)
raw$public.remarks <- gsub(" dn "," dining ",raw$public.remarks)
raw$public.remarks <- gsub(" dng "," dining ",raw$public.remarks)
raw$public.remarks <- gsub(" dr "," dining room ",raw$public.remarks)
raw$public.remarks <- gsub(" em "," earnest money ",raw$public.remarks)
raw$public.remarks <- gsub(" ext "," exterior ",raw$public.remarks)
raw$public.remarks <- gsub(" fam "," family ",raw$public.remarks)
raw$public.remarks <- gsub(" fin "," finished ",raw$public.remarks)
raw$public.remarks <- gsub(" flr "," floor ",raw$public.remarks)
raw$public.remarks <- gsub(" flrpln "," floor plan ",raw$public.remarks)
raw$public.remarks <- gsub(" flrs "," floor ",raw$public.remarks)
raw$public.remarks <- gsub(" fm "," family ",raw$public.remarks)
raw$public.remarks <- gsub(" fml "," family ",raw$public.remarks)
raw$public.remarks <- gsub(" fmly "," family ",raw$public.remarks)
raw$public.remarks <- gsub(" fncd "," fenced ",raw$public.remarks)
raw$public.remarks <- gsub(" fp "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" fplc "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" fr "," family room ",raw$public.remarks)
raw$public.remarks <- gsub(" frml "," formal ",raw$public.remarks)
raw$public.remarks <- gsub(" frnt "," front ",raw$public.remarks)
raw$public.remarks <- gsub(" frpl "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" frplc "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" frt "," front ",raw$public.remarks)
raw$public.remarks <- gsub(" ft "," foot ",raw$public.remarks)
raw$public.remarks <- gsub(" gr "," great ",raw$public.remarks)
raw$public.remarks <- gsub(" grdn "," garden ",raw$public.remarks)
raw$public.remarks <- gsub(" hardwd "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hardwoods "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hdwd "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hdwds "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hm "," home ",raw$public.remarks)
raw$public.remarks <- gsub(" hm "," home ",raw$public.remarks)
raw$public.remarks <- gsub(" hrdwd "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hrdwds "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hrwd "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hs "," high school ",raw$public.remarks)
raw$public.remarks <- gsub(" hw "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" int "," interior ",raw$public.remarks)
raw$public.remarks <- gsub(" kit "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" kitch "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" ktn "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" lg "," large ",raw$public.remarks)
raw$public.remarks <- gsub(" liv "," living ",raw$public.remarks)
raw$public.remarks <- gsub(" lk "," look ",raw$public.remarks)
raw$public.remarks <- gsub(" lndr "," lender ",raw$public.remarks)
raw$public.remarks <- gsub(" lr "," living room ",raw$public.remarks)
raw$public.remarks <- gsub(" lrg "," large ",raw$public.remarks)
raw$public.remarks <- gsub(" ltr "," letter ",raw$public.remarks)
raw$public.remarks <- gsub(" lux "," luxury ",raw$public.remarks)
raw$public.remarks <- gsub(" luxurious "," luxury ",raw$public.remarks)
raw$public.remarks <- gsub(" lv "," living ",raw$public.remarks)
raw$public.remarks <- gsub(" lvg "," living ",raw$public.remarks)
raw$public.remarks <- gsub(" lvl "," level ",raw$public.remarks)
raw$public.remarks <- gsub(" lvng "," living ",raw$public.remarks)
raw$public.remarks <- gsub(" lwr "," lower ",raw$public.remarks)
raw$public.remarks <- gsub(" mstr "," master ",raw$public.remarks)
raw$public.remarks <- gsub(" off "," office ",raw$public.remarks)
raw$public.remarks <- gsub(" offr "," offer ",raw$public.remarks)
raw$public.remarks <- gsub(" preaprl "," prequalified ",raw$public.remarks)
raw$public.remarks <- gsub(" preq "," prequalified ",raw$public.remarks)
raw$public.remarks <- gsub(" prequal "," prequalified ",raw$public.remarks)
raw$public.remarks <- gsub(" prf "," proof ",raw$public.remarks)
raw$public.remarks <- gsub(" priv "," private ",raw$public.remarks)
raw$public.remarks <- gsub(" prv "," private ",raw$public.remarks)
raw$public.remarks <- gsub(" prvt "," private ",raw$public.remarks)
raw$public.remarks <- gsub(" pvt "," private ",raw$public.remarks)
raw$public.remarks <- gsub(" rm "," room ",raw$public.remarks)
raw$public.remarks <- gsub(" rm "," room ",raw$public.remarks)
raw$public.remarks <- gsub(" rms "," room ",raw$public.remarks)
raw$public.remarks <- gsub(" rooms "," room ",raw$public.remarks)
raw$public.remarks <- gsub(" sellers "," seller ",raw$public.remarks)
raw$public.remarks <- gsub(" sep "," separate ",raw$public.remarks)
raw$public.remarks <- gsub(" shwr "," shower ",raw$public.remarks)
raw$public.remarks <- gsub(" slrs "," sellers ",raw$public.remarks)
raw$public.remarks <- gsub(" sq "," square ",raw$public.remarks)
raw$public.remarks <- gsub(" ss "," stainless steel ",raw$public.remarks)
raw$public.remarks <- gsub(" ste "," suite ",raw$public.remarks)
raw$public.remarks <- gsub(" stry "," story ",raw$public.remarks)
raw$public.remarks <- gsub(" sty "," story ",raw$public.remarks)
raw$public.remarks <- gsub(" yd "," yard ",raw$public.remarks)
raw$public.remarks <- gsub(" yr "," year ",raw$public.remarks)
raw$public.remarks <- gsub(" yrd "," yard ",raw$public.remarks)
raw$public.remarks <- gsub(" yrs "," years ",raw$public.remarks)
raw$public.remarks <- gsub(" 10ceilings "," ten foot ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" 10ft "," ten foot ",raw$public.remarks)
raw$public.remarks <- gsub(" 10th "," tenth ",raw$public.remarks)
raw$public.remarks <- gsub(" 11th "," eleventh ",raw$public.remarks)
raw$public.remarks <- gsub(" 12ft "," twelve foot  ",raw$public.remarks)
raw$public.remarks <- gsub(" 1ac "," one acre ",raw$public.remarks)
raw$public.remarks <- gsub(" 1ba "," one bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 1bath "," one bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 1br "," one bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 1bth "," one bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 1car "," one car ",raw$public.remarks)
raw$public.remarks <- gsub(" 1story "," one story ",raw$public.remarks)
raw$public.remarks <- gsub(" 1yr "," one year ",raw$public.remarks)
raw$public.remarks <- gsub(" 2ba "," two bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 2bath "," two bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 2baths "," two bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 2bd "," two bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 2bdrm "," two bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 2br "," two bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 2bth "," two bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 2c "," two car ",raw$public.remarks)
raw$public.remarks <- gsub(" 2car "," two car ",raw$public.remarks)
raw$public.remarks <- gsub(" 2full "," two full ",raw$public.remarks)
raw$public.remarks <- gsub(" 2level "," two level ",raw$public.remarks)
raw$public.remarks <- gsub(" 2ndary "," secondary ",raw$public.remarks)
raw$public.remarks <- gsub(" 2ndry "," secondary ",raw$public.remarks)
raw$public.remarks <- gsub(" 2sided "," two sided ",raw$public.remarks)
raw$public.remarks <- gsub(" 2story "," two story ",raw$public.remarks)
raw$public.remarks <- gsub(" 2stry "," two story ",raw$public.remarks)
raw$public.remarks <- gsub(" 2sty "," two story ",raw$public.remarks)
raw$public.remarks <- gsub(" 2yr "," two year ",raw$public.remarks)
raw$public.remarks <- gsub(" 2yrs "," two year ",raw$public.remarks)
raw$public.remarks <- gsub(" 3ba "," three bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 3bath "," three bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 3baths "," three bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 3bd "," three bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 3bdr "," three bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 3bdrm "," three bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 3bdrms "," three bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 3bed "," three bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 3bedrm "," three bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 3bedroom "," three bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 3bedrooms "," three bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 3br "," three bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 3brs "," three bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 3bth "," three bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 3car "," three car ",raw$public.remarks)
raw$public.remarks <- gsub(" 3full "," three full ",raw$public.remarks)
raw$public.remarks <- gsub(" 3rd "," third ",raw$public.remarks)
raw$public.remarks <- gsub(" 3side "," three sided ",raw$public.remarks)
raw$public.remarks <- gsub(" 3sided "," three sided ",raw$public.remarks)
raw$public.remarks <- gsub(" 3sides "," three sided ",raw$public.remarks)
raw$public.remarks <- gsub(" 3yr "," three year ",raw$public.remarks)
raw$public.remarks <- gsub(" 3yrs "," three year ",raw$public.remarks)
raw$public.remarks <- gsub(" 4ba "," four bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 4bd "," four bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 4bdr "," four bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 4bdrm "," four bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 4bdrms "," four bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 4bed "," four bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 4bedrm "," four bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 4bedroom "," four bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 4bedrooms "," four bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 4br "," four bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 4brm "," four bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 4brs "," four bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 4car "," four car ",raw$public.remarks)
raw$public.remarks <- gsub(" 4sd "," four sided ",raw$public.remarks)
raw$public.remarks <- gsub(" 4side "," four sided ",raw$public.remarks)
raw$public.remarks <- gsub(" 4sided "," four sided ",raw$public.remarks)
raw$public.remarks <- gsub(" 4sides "," four sided ",raw$public.remarks)
raw$public.remarks <- gsub(" 4th "," fourth ",raw$public.remarks)
raw$public.remarks <- gsub(" 4yr "," four year ",raw$public.remarks)
raw$public.remarks <- gsub(" 4yrs "," four year ",raw$public.remarks)
raw$public.remarks <- gsub(" 5ba "," five bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 5bas "," five bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 5bath "," five bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 5baths "," five bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 5bd "," five bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 5bdrm "," five bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 5bdrms "," five bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 5bed "," five bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 5bedrooms "," five bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 5br "," five bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 5brs "," five bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 5bth "," five bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 5th "," fifth ",raw$public.remarks)
raw$public.remarks <- gsub(" 5yr "," five year ",raw$public.remarks)
raw$public.remarks <- gsub(" 5yrs "," five year ",raw$public.remarks)
raw$public.remarks <- gsub(" 6bd "," six bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 6br "," six bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" 6th "," sixth ",raw$public.remarks)
raw$public.remarks <- gsub(" 7th "," seventh ",raw$public.remarks)
raw$public.remarks <- gsub(" 8th "," eighth ",raw$public.remarks)
raw$public.remarks <- gsub(" 9ceilings "," nine foot ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" 9ft "," nine foot  ",raw$public.remarks)
raw$public.remarks <- gsub(" 9th "," ninth ",raw$public.remarks)
raw$public.remarks <- gsub(" absolute "," absolutely ",raw$public.remarks)
raw$public.remarks <- gsub(" absolutley "," absolutely ",raw$public.remarks)
raw$public.remarks <- gsub(" abundance "," abundant ",raw$public.remarks)
raw$public.remarks <- gsub(" abv "," above ",raw$public.remarks)
raw$public.remarks <- gsub(" accented "," accent ",raw$public.remarks)
raw$public.remarks <- gsub(" accents "," accent ",raw$public.remarks)
raw$public.remarks <- gsub(" accept "," accepted ",raw$public.remarks)
raw$public.remarks <- gsub(" acceptable "," accepted ",raw$public.remarks)
raw$public.remarks <- gsub(" acceptance "," accepted ",raw$public.remarks)
raw$public.remarks <- gsub(" accepting "," accepted ",raw$public.remarks)
raw$public.remarks <- gsub(" acess "," access ",raw$public.remarks)
raw$public.remarks <- gsub(" acompany "," accompany ",raw$public.remarks)
raw$public.remarks <- gsub(" acptd "," accepted ",raw$public.remarks)
raw$public.remarks <- gsub(" acr "," acre ",raw$public.remarks)
raw$public.remarks <- gsub(" acreage "," acre ",raw$public.remarks)
raw$public.remarks <- gsub(" acres "," acre ",raw$public.remarks)
raw$public.remarks <- gsub(" acs "," acre ",raw$public.remarks)
raw$public.remarks <- gsub(" adden "," addendum ",raw$public.remarks)
raw$public.remarks <- gsub(" addend "," addendum ",raw$public.remarks)
raw$public.remarks <- gsub(" addenda "," addendum ",raw$public.remarks)
raw$public.remarks <- gsub(" addendums "," addendum ",raw$public.remarks)
raw$public.remarks <- gsub(" addit "," additional ",raw$public.remarks)
raw$public.remarks <- gsub(" additions "," addition ",raw$public.remarks)
raw$public.remarks <- gsub(" addn "," addition ",raw$public.remarks)
raw$public.remarks <- gsub(" addndms "," addendum ",raw$public.remarks)
raw$public.remarks <- gsub(" addt "," additional ",raw$public.remarks)
raw$public.remarks <- gsub(" addtl "," additional ",raw$public.remarks)
raw$public.remarks <- gsub(" adjoins "," adjoining ",raw$public.remarks)
raw$public.remarks <- gsub(" agents "," agent ",raw$public.remarks)
raw$public.remarks <- gsub(" agnt "," agent ",raw$public.remarks)
raw$public.remarks <- gsub(" allbrick "," all brick ",raw$public.remarks)
raw$public.remarks <- gsub(" allover "," all over ",raw$public.remarks)
raw$public.remarks <- gsub(" allowances "," allowance ",raw$public.remarks)
raw$public.remarks <- gsub(" alpharettas "," alpharetta ",raw$public.remarks)
raw$public.remarks <- gsub(" alum "," aluminum ",raw$public.remarks)
raw$public.remarks <- gsub(" amazingly "," amazing ",raw$public.remarks)
raw$public.remarks <- gsub(" amenity "," amenities ",raw$public.remarks)
raw$public.remarks <- gsub(" american "," america ",raw$public.remarks)
raw$public.remarks <- gsub(" amt "," amount ",raw$public.remarks)
raw$public.remarks <- gsub(" antiqued "," antique ",raw$public.remarks)
raw$public.remarks <- gsub(" appealing "," appeal ",raw$public.remarks)
raw$public.remarks <- gsub(" applainces "," appliance ",raw$public.remarks)
raw$public.remarks <- gsub(" applcs "," appliance ",raw$public.remarks)
raw$public.remarks <- gsub(" appli "," appliance ",raw$public.remarks)
raw$public.remarks <- gsub(" applia "," appliance ",raw$public.remarks)
raw$public.remarks <- gsub(" appliace "," appliance ",raw$public.remarks)
raw$public.remarks <- gsub(" applian "," appliance ",raw$public.remarks)
raw$public.remarks <- gsub(" applianc "," appliance ",raw$public.remarks)
raw$public.remarks <- gsub(" appliance "," appliance ",raw$public.remarks)
raw$public.remarks <- gsub(" appliancesnew "," appliance new ",raw$public.remarks)
raw$public.remarks <- gsub(" applicances "," appliance ",raw$public.remarks)
raw$public.remarks <- gsub(" applncs "," appliance ",raw$public.remarks)
raw$public.remarks <- gsub(" appointments "," appointment ",raw$public.remarks)
raw$public.remarks <- gsub(" appr "," appraisal ",raw$public.remarks)
raw$public.remarks <- gsub(" appraised "," appraisal ",raw$public.remarks)
raw$public.remarks <- gsub(" approv "," approval ",raw$public.remarks)
raw$public.remarks <- gsub(" approve "," approval ",raw$public.remarks)
raw$public.remarks <- gsub(" approved "," approval ",raw$public.remarks)
raw$public.remarks <- gsub(" approx "," approximately ",raw$public.remarks)
raw$public.remarks <- gsub(" apprsl "," appraisal ",raw$public.remarks)
raw$public.remarks <- gsub(" apprvd "," approval ",raw$public.remarks)
raw$public.remarks <- gsub(" apprvl "," approval ",raw$public.remarks)
raw$public.remarks <- gsub(" apprx "," approx ",raw$public.remarks)
raw$public.remarks <- gsub(" appt "," appointment ",raw$public.remarks)
raw$public.remarks <- gsub(" appvd "," approval ",raw$public.remarks)
raw$public.remarks <- gsub(" appx "," approx ",raw$public.remarks)
raw$public.remarks <- gsub(" aprox "," approx ",raw$public.remarks)
raw$public.remarks <- gsub(" aprvl "," approval ",raw$public.remarks)
raw$public.remarks <- gsub(" apx "," approval ",raw$public.remarks)
raw$public.remarks <- gsub(" arched "," arch ",raw$public.remarks)
raw$public.remarks <- gsub(" arches "," arch ",raw$public.remarks)
raw$public.remarks <- gsub(" architectural "," architectural ",raw$public.remarks)
raw$public.remarks <- gsub(" architecturally "," architectural ",raw$public.remarks)
raw$public.remarks <- gsub(" architecture "," architectural ",raw$public.remarks)
raw$public.remarks <- gsub(" archway "," arch way ",raw$public.remarks)
raw$public.remarks <- gsub(" archways "," arch way ",raw$public.remarks)
raw$public.remarks <- gsub(" arealarge "," area large ",raw$public.remarks)
raw$public.remarks <- gsub(" areanew "," area new ",raw$public.remarks)
raw$public.remarks <- gsub(" areas "," area ",raw$public.remarks)
raw$public.remarks <- gsub(" asisno "," asis no ",raw$public.remarks)
raw$public.remarks <- gsub(" asissale "," asis sale ",raw$public.remarks)
raw$public.remarks <- gsub(" asiswithout "," asis without ",raw$public.remarks)
raw$public.remarks <- gsub(" assesment "," assessment ",raw$public.remarks)
raw$public.remarks <- gsub(" assoc "," association ",raw$public.remarks)
raw$public.remarks <- gsub(" atl "," atlanta ",raw$public.remarks)
raw$public.remarks <- gsub(" atlantas "," atlanta ",raw$public.remarks)
raw$public.remarks <- gsub(" attach "," attached ",raw$public.remarks)
raw$public.remarks <- gsub(" attchd "," attached ",raw$public.remarks)
raw$public.remarks <- gsub(" attn "," attention ",raw$public.remarks)
raw$public.remarks <- gsub(" attnyaddenda "," attorney addendum ",raw$public.remarks)
raw$public.remarks <- gsub(" attrny "," attorney ",raw$public.remarks)
raw$public.remarks <- gsub(" aty "," attorney ",raw$public.remarks)
raw$public.remarks <- gsub(" auctioned "," auction ",raw$public.remarks)
raw$public.remarks <- gsub(" avail "," available ",raw$public.remarks)
raw$public.remarks <- gsub(" availabilty "," availability ",raw$public.remarks)
raw$public.remarks <- gsub(" availibility "," availability ",raw$public.remarks)
raw$public.remarks <- gsub(" avaliabilty "," availability ",raw$public.remarks)
raw$public.remarks <- gsub(" ave "," avenue ",raw$public.remarks)
raw$public.remarks <- gsub(" avenues "," avenue ",raw$public.remarks)
raw$public.remarks <- gsub(" awardwinning "," award winning ",raw$public.remarks)
raw$public.remarks <- gsub(" awsome "," awesome ",raw$public.remarks)
raw$public.remarks <- gsub(" azaleas "," azalea ",raw$public.remarks)
raw$public.remarks <- gsub(" b4 "," before ",raw$public.remarks)
raw$public.remarks <- gsub(" bac "," back  ",raw$public.remarks)
raw$public.remarks <- gsub(" back yard "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" backdoor "," back door ",raw$public.remarks)
raw$public.remarks <- gsub(" backstairs "," back stairs ",raw$public.remarks)
raw$public.remarks <- gsub(" backya "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" backyar "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" backyards "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" backyd "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" backyrd "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" balconies "," balcony ",raw$public.remarks)
raw$public.remarks <- gsub(" bankowned "," bank owned ",raw$public.remarks)
raw$public.remarks <- gsub(" banq "," banquet ",raw$public.remarks)
raw$public.remarks <- gsub(" banquetsized "," banquet sized ",raw$public.remarks)
raw$public.remarks <- gsub(" bargin "," bargain ",raw$public.remarks)
raw$public.remarks <- gsub(" bas "," basement ",raw$public.remarks)
raw$public.remarks <- gsub(" basements "," basement ",raw$public.remarks)
raw$public.remarks <- gsub(" basemnt "," basement ",raw$public.remarks)
raw$public.remarks <- gsub(" basemt "," basement ",raw$public.remarks)
raw$public.remarks <- gsub(" basment "," basement ",raw$public.remarks)
raw$public.remarks <- gsub(" basmnt "," basement ",raw$public.remarks)
raw$public.remarks <- gsub(" basmt "," basement ",raw$public.remarks)
raw$public.remarks <- gsub(" bathnew "," bathroom new ",raw$public.remarks)
raw$public.remarks <- gsub(" bathrm "," bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bathrms "," bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bathrooms "," bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bathsnew "," bathroom new ",raw$public.remarks)
raw$public.remarks <- gsub(" bcksplash "," backsplash ",raw$public.remarks)
raw$public.remarks <- gsub(" bcksplsh "," backsplash ",raw$public.remarks)
raw$public.remarks <- gsub(" bckyard "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" bckyd "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" bckyrd "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" bdrooms "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bdrs "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bds "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" beams "," beam ",raw$public.remarks)
raw$public.remarks <- gsub(" beatiful "," beautiful ",raw$public.remarks)
raw$public.remarks <- gsub(" beau "," beautiful ",raw$public.remarks)
raw$public.remarks <- gsub(" beaut "," beautiful ",raw$public.remarks)
raw$public.remarks <- gsub(" beautful "," beautiful ",raw$public.remarks)
raw$public.remarks <- gsub(" beautifu "," beautiful ",raw$public.remarks)
raw$public.remarks <- gsub(" beautifull "," beautiful ",raw$public.remarks)
raw$public.remarks <- gsub(" beautifully "," beautiful ",raw$public.remarks)
raw$public.remarks <- gsub(" beauty "," beautiful ",raw$public.remarks)
raw$public.remarks <- gsub(" bedr "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bedrms "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bedro "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bedroo "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bedrrom "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" beginnings "," beginning ",raw$public.remarks)
raw$public.remarks <- gsub(" believed "," believe ",raw$public.remarks)
raw$public.remarks <- gsub(" believing "," believe ",raw$public.remarks)
raw$public.remarks <- gsub(" bestassets "," best asset ",raw$public.remarks)
raw$public.remarks <- gsub(" beutiful "," beautiful ",raw$public.remarks)
raw$public.remarks <- gsub(" bfully "," beautiful ",raw$public.remarks)
raw$public.remarks <- gsub(" bhead "," buckhead ",raw$public.remarks)
raw$public.remarks <- gsub(" bids "," bid ",raw$public.remarks)
raw$public.remarks <- gsub(" bidselect "," bid select ",raw$public.remarks)
raw$public.remarks <- gsub(" billiards "," billiard ",raw$public.remarks)
raw$public.remarks <- gsub(" bkcase "," bookcase ",raw$public.remarks)
raw$public.remarks <- gsub(" bkcases "," bookcase ",raw$public.remarks)
raw$public.remarks <- gsub(" bkcs "," bookcase ",raw$public.remarks)
raw$public.remarks <- gsub(" bkft "," breakfast ",raw$public.remarks)
raw$public.remarks <- gsub(" bkshelves "," bookshelf ",raw$public.remarks)
raw$public.remarks <- gsub(" bkshlvs "," bookshelf ",raw$public.remarks)
raw$public.remarks <- gsub(" bkspl "," backsplash ",raw$public.remarks)
raw$public.remarks <- gsub(" bksplash "," backsplash ",raw$public.remarks)
raw$public.remarks <- gsub(" bksplsh "," backsplash ",raw$public.remarks)
raw$public.remarks <- gsub(" bkyard "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" bkyrd "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" bldg "," building ",raw$public.remarks)
raw$public.remarks <- gsub(" bldgs "," building ",raw$public.remarks)
raw$public.remarks <- gsub(" bldr "," builder ",raw$public.remarks)
raw$public.remarks <- gsub(" bldrs "," builder ",raw$public.remarks)
raw$public.remarks <- gsub(" blocks "," block ",raw$public.remarks)
raw$public.remarks <- gsub(" blt "," built ",raw$public.remarks)
raw$public.remarks <- gsub(" bltin "," builtin ",raw$public.remarks)
raw$public.remarks <- gsub(" bltins "," builtin ",raw$public.remarks)
raw$public.remarks <- gsub(" bluffs "," bluff ",raw$public.remarks)
raw$public.remarks <- gsub(" blvd "," boulevard ",raw$public.remarks)
raw$public.remarks <- gsub(" bment "," basement ",raw$public.remarks)
raw$public.remarks <- gsub(" bnk "," bank ",raw$public.remarks)
raw$public.remarks <- gsub(" bns "," basement ",raw$public.remarks)
raw$public.remarks <- gsub(" boast "," boasts ",raw$public.remarks)
raw$public.remarks <- gsub(" boasting "," boasts ",raw$public.remarks)
raw$public.remarks <- gsub(" bonuses "," bonus ",raw$public.remarks)
raw$public.remarks <- gsub(" bookcases "," bookcase ",raw$public.remarks)
raw$public.remarks <- gsub(" bookshelves "," bookshelf ",raw$public.remarks)
raw$public.remarks <- gsub(" boxes "," box ",raw$public.remarks)
raw$public.remarks <- gsub(" br2 "," two bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" branches "," branch ",raw$public.remarks)
raw$public.remarks <- gsub(" brck "," brick ",raw$public.remarks)
raw$public.remarks <- gsub(" breakf "," breakfast ",raw$public.remarks)
raw$public.remarks <- gsub(" breakfst "," breakfast ",raw$public.remarks)
raw$public.remarks <- gsub(" breathtaking "," breath taking ",raw$public.remarks)
raw$public.remarks <- gsub(" brfst "," breakfast ",raw$public.remarks)
raw$public.remarks <- gsub(" brght "," bright ",raw$public.remarks)
raw$public.remarks <- gsub(" bricked "," brick ",raw$public.remarks)
raw$public.remarks <- gsub(" brickfront "," brick front ",raw$public.remarks)
raw$public.remarks <- gsub(" brings "," bring ",raw$public.remarks)
raw$public.remarks <- gsub(" brite "," bright ",raw$public.remarks)
raw$public.remarks <- gsub(" brkf "," breakfast ",raw$public.remarks)
raw$public.remarks <- gsub(" brkfast "," breakfast ",raw$public.remarks)
raw$public.remarks <- gsub(" brkft "," breakfast ",raw$public.remarks)
raw$public.remarks <- gsub(" brms "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" brokerfor "," broker for ",raw$public.remarks)
raw$public.remarks <- gsub(" brokers "," broker ",raw$public.remarks)
raw$public.remarks <- gsub(" bsemnt "," basement ",raw$public.remarks)
raw$public.remarks <- gsub(" bsment "," basement ",raw$public.remarks)
raw$public.remarks <- gsub(" bsplash "," backsplash ",raw$public.remarks)
raw$public.remarks <- gsub(" btfl "," beautiful ",raw$public.remarks)
raw$public.remarks <- gsub(" btful "," beautiful ",raw$public.remarks)
raw$public.remarks <- gsub(" bthrm "," bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bthrms "," bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bths "," bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" btiful "," beautiful ",raw$public.remarks)
raw$public.remarks <- gsub(" builders "," builder ",raw$public.remarks)
raw$public.remarks <- gsub(" buildings "," building ",raw$public.remarks)
raw$public.remarks <- gsub(" builtins "," builtin ",raw$public.remarks)
raw$public.remarks <- gsub(" bung "," bungalow ",raw$public.remarks)
raw$public.remarks <- gsub(" bungelow "," bungalow ",raw$public.remarks)
raw$public.remarks <- gsub(" butler "," butlers ",raw$public.remarks)
raw$public.remarks <- gsub(" byard "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" byd "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" byrd "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" byrs "," backyard ",raw$public.remarks)
raw$public.remarks <- gsub(" cabinet "," cabinets ",raw$public.remarks)
raw$public.remarks <- gsub(" cabinetry "," cabinets ",raw$public.remarks)
raw$public.remarks <- gsub(" cabinetsnew "," cabinets new ",raw$public.remarks)
raw$public.remarks <- gsub(" cabintry "," cabinets ",raw$public.remarks)
raw$public.remarks <- gsub(" cabints "," cabinets ",raw$public.remarks)
raw$public.remarks <- gsub(" cabnts "," cabinets ",raw$public.remarks)
raw$public.remarks <- gsub(" carp "," carpet ",raw$public.remarks)
raw$public.remarks <- gsub(" carpeted "," carpet ",raw$public.remarks)
raw$public.remarks <- gsub(" carpetfresh "," carpet fresh ",raw$public.remarks)
raw$public.remarks <- gsub(" carpeting "," carpet ",raw$public.remarks)
raw$public.remarks <- gsub(" carpetnew "," carpet new ",raw$public.remarks)
raw$public.remarks <- gsub(" carpets "," carpet ",raw$public.remarks)
raw$public.remarks <- gsub(" carpt "," carpet ",raw$public.remarks)
raw$public.remarks <- gsub(" cases "," case ",raw$public.remarks)
raw$public.remarks <- gsub(" cath "," cathedral ",raw$public.remarks)
raw$public.remarks <- gsub(" cbnts "," cabinets ",raw$public.remarks)
raw$public.remarks <- gsub(" cei "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" ceil "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" ceilg "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" ceilin "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" ceilings "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" ceilng "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" ceils "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" celings "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" centrally "," central ",raw$public.remarks)
raw$public.remarks <- gsub(" chairrail "," chair rail ",raw$public.remarks)
raw$public.remarks <- gsub(" chairs "," chair ",raw$public.remarks)
raw$public.remarks <- gsub(" chandeliers "," chandelier ",raw$public.remarks)
raw$public.remarks <- gsub(" charmer "," charm ",raw$public.remarks)
raw$public.remarks <- gsub(" charming "," charm ",raw$public.remarks)
raw$public.remarks <- gsub(" cheery "," cheerful ",raw$public.remarks)
raw$public.remarks <- gsub(" chef "," chefs ",raw$public.remarks)
raw$public.remarks <- gsub(" child "," children ",raw$public.remarks)
raw$public.remarks <- gsub(" childrens "," children ",raw$public.remarks)
raw$public.remarks <- gsub(" chooses "," choose ",raw$public.remarks)
raw$public.remarks <- gsub(" chos "," choose ",raw$public.remarks)
raw$public.remarks <- gsub(" churches "," church ",raw$public.remarks)
raw$public.remarks <- gsub(" cielings "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" cleaned "," clean ",raw$public.remarks)
raw$public.remarks <- gsub(" clg "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" clgs "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" cling "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" clings "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" clng "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" clngs "," ceilings ",raw$public.remarks)
raw$public.remarks <- gsub(" clo "," close ",raw$public.remarks)
raw$public.remarks <- gsub(" clos "," close ",raw$public.remarks)
raw$public.remarks <- gsub(" closed "," close ",raw$public.remarks)
raw$public.remarks <- gsub(" closein "," close in ",raw$public.remarks)
raw$public.remarks <- gsub(" closeout "," close out ",raw$public.remarks)
raw$public.remarks <- gsub(" closer "," close ",raw$public.remarks)
raw$public.remarks <- gsub(" closes "," close ",raw$public.remarks)
raw$public.remarks <- gsub(" closets "," closet ",raw$public.remarks)
raw$public.remarks <- gsub(" clst "," closet ",raw$public.remarks)
raw$public.remarks <- gsub(" clsts "," closet ",raw$public.remarks)
raw$public.remarks <- gsub(" clubhouse "," club house ",raw$public.remarks)
raw$public.remarks <- gsub(" cntr "," counter ",raw$public.remarks)
raw$public.remarks <- gsub(" cntrps "," countertop ",raw$public.remarks)
raw$public.remarks <- gsub(" cntrs "," counter ",raw$public.remarks)
raw$public.remarks <- gsub(" cntrtops "," countertop ",raw$public.remarks)
raw$public.remarks <- gsub(" cntrtps "," countertop ",raw$public.remarks)
raw$public.remarks <- gsub(" cobbs "," cobb ",raw$public.remarks)
raw$public.remarks <- gsub(" coffer "," coffered ",raw$public.remarks)
raw$public.remarks <- gsub(" color "," colors ",raw$public.remarks)
raw$public.remarks <- gsub(" column "," columns ",raw$public.remarks)
raw$public.remarks <- gsub(" columned "," columns ",raw$public.remarks)
raw$public.remarks <- gsub(" comes "," come ",raw$public.remarks)
raw$public.remarks <- gsub(" comfort "," comfortable ",raw$public.remarks)
raw$public.remarks <- gsub(" comforts "," comfortable ",raw$public.remarks)
raw$public.remarks <- gsub(" comfy "," comfortable ",raw$public.remarks)
raw$public.remarks <- gsub(" commision "," commission ",raw$public.remarks)
raw$public.remarks <- gsub(" commiss "," commission ",raw$public.remarks)
raw$public.remarks <- gsub(" communities "," community ",raw$public.remarks)
raw$public.remarks <- gsub(" commuters "," commute ",raw$public.remarks)
raw$public.remarks <- gsub(" compl "," complete ",raw$public.remarks)
raw$public.remarks <- gsub(" completed "," complete ",raw$public.remarks)
raw$public.remarks <- gsub(" completely "," complete ",raw$public.remarks)
raw$public.remarks <- gsub(" completion "," complete ",raw$public.remarks)
raw$public.remarks <- gsub(" completly "," complete ",raw$public.remarks)
raw$public.remarks <- gsub(" cond "," condition ",raw$public.remarks)
raw$public.remarks <- gsub(" conditionnew "," condition new ",raw$public.remarks)
raw$public.remarks <- gsub(" conditions "," condition ",raw$public.remarks)
raw$public.remarks <- gsub(" condt "," condition ",raw$public.remarks)
raw$public.remarks <- gsub(" condtion "," condition ",raw$public.remarks)
raw$public.remarks <- gsub(" consideration "," consider ",raw$public.remarks)
raw$public.remarks <- gsub(" considered "," consider ",raw$public.remarks)
raw$public.remarks <- gsub(" considering "," consider ",raw$public.remarks)
raw$public.remarks <- gsub(" constr "," construction ",raw$public.remarks)
raw$public.remarks <- gsub(" constructed "," construction ",raw$public.remarks)
raw$public.remarks <- gsub(" contemp "," contemporary ",raw$public.remarks)
raw$public.remarks <- gsub(" contempory "," contemporary ",raw$public.remarks)
raw$public.remarks <- gsub(" contingencies "," contingent ",raw$public.remarks)
raw$public.remarks <- gsub(" contingency "," contingent ",raw$public.remarks)
raw$public.remarks <- gsub(" contractinstructions "," contract instructions ",raw$public.remarks)
raw$public.remarks <- gsub(" convenience "," convenient ",raw$public.remarks)
raw$public.remarks <- gsub(" conveniences "," convenient ",raw$public.remarks)
raw$public.remarks <- gsub(" conveniently "," convenient ",raw$public.remarks)
raw$public.remarks <- gsub(" convert "," conversion ",raw$public.remarks)
raw$public.remarks <- gsub(" converted "," conversion ",raw$public.remarks)
raw$public.remarks <- gsub(" convienent "," convenient ",raw$public.remarks)
raw$public.remarks <- gsub(" convienient "," convenient ",raw$public.remarks)
raw$public.remarks <- gsub(" convient "," convenient ",raw$public.remarks)
raw$public.remarks <- gsub(" conviently "," convenient ",raw$public.remarks)
raw$public.remarks <- gsub(" corners "," corner ",raw$public.remarks)
raw$public.remarks <- gsub(" cosmetics "," cosmetic ",raw$public.remarks)
raw$public.remarks <- gsub(" costs "," cost ",raw$public.remarks)
raw$public.remarks <- gsub(" counter "," countertop ",raw$public.remarks)
raw$public.remarks <- gsub(" counters "," countertop ",raw$public.remarks)
raw$public.remarks <- gsub(" counterspace "," counter space ",raw$public.remarks)
raw$public.remarks <- gsub(" countertops "," countertop ",raw$public.remarks)
raw$public.remarks <- gsub(" courts "," court ",raw$public.remarks)
raw$public.remarks <- gsub(" cover "," covered ",raw$public.remarks)
raw$public.remarks <- gsub(" coverd "," covered ",raw$public.remarks)
raw$public.remarks <- gsub(" covering "," covered ",raw$public.remarks)
raw$public.remarks <- gsub(" coverings "," covered ",raw$public.remarks)
raw$public.remarks <- gsub(" covers "," covered ",raw$public.remarks)
raw$public.remarks <- gsub(" craftman "," craftsman ",raw$public.remarks)
raw$public.remarks <- gsub(" crafts "," craft ",raw$public.remarks)
raw$public.remarks <- gsub(" craftsmanship "," craftsman ",raw$public.remarks)
raw$public.remarks <- gsub(" craftsmanstyle "," craftsman ",raw$public.remarks)
raw$public.remarks <- gsub(" crawlspace "," crawl space ",raw$public.remarks)
raw$public.remarks <- gsub(" cred "," credit ",raw$public.remarks)
raw$public.remarks <- gsub(" creeks "," creek ",raw$public.remarks)
raw$public.remarks <- gsub(" creekside "," creek ",raw$public.remarks)
raw$public.remarks <- gsub(" crk "," creek ",raw$public.remarks)
raw$public.remarks <- gsub(" crn "," corner ",raw$public.remarks)
raw$public.remarks <- gsub(" crnr "," corner ",raw$public.remarks)
raw$public.remarks <- gsub(" crpt "," carpet ",raw$public.remarks)
raw$public.remarks <- gsub(" crwn "," crown ",raw$public.remarks)
raw$public.remarks <- gsub(" cstm "," custom ",raw$public.remarks)
raw$public.remarks <- gsub(" ctop "," countertop ",raw$public.remarks)
raw$public.remarks <- gsub(" ctops "," countertop ",raw$public.remarks)
raw$public.remarks <- gsub(" ctr "," countertop ",raw$public.remarks)
raw$public.remarks <- gsub(" ctrs "," countertop ",raw$public.remarks)
raw$public.remarks <- gsub(" ctrtops "," countertop ",raw$public.remarks)
raw$public.remarks <- gsub(" ctrtps "," countertop ",raw$public.remarks)
raw$public.remarks <- gsub(" cul de sac "," culdesac ",raw$public.remarks)
raw$public.remarks <- gsub(" culd "," culdesac ",raw$public.remarks)
raw$public.remarks <- gsub(" culde "," culdesac ",raw$public.remarks)
raw$public.remarks <- gsub(" culdsac "," culdesac ",raw$public.remarks)
raw$public.remarks <- gsub(" cus "," custom ",raw$public.remarks)
raw$public.remarks <- gsub(" cust "," custom ",raw$public.remarks)
raw$public.remarks <- gsub(" custm "," custom ",raw$public.remarks)
raw$public.remarks <- gsub(" custombuilt "," custom built ",raw$public.remarks)
raw$public.remarks <- gsub(" customize "," custom ",raw$public.remarks)
raw$public.remarks <- gsub(" customized "," custom ",raw$public.remarks)
raw$public.remarks <- gsub(" cutest "," cute ",raw$public.remarks)
raw$public.remarks <- gsub(" cutie "," cute ",raw$public.remarks)
raw$public.remarks <- gsub(" cvrd "," covered ",raw$public.remarks)
raw$public.remarks <- gsub(" czy "," cozy ",raw$public.remarks)
raw$public.remarks <- gsub(" damaged "," damage ",raw$public.remarks)
raw$public.remarks <- gsub(" dates "," date ",raw$public.remarks)
raw$public.remarks <- gsub(" daylght "," daylight ",raw$public.remarks)
raw$public.remarks <- gsub(" daylgt "," daylight ",raw$public.remarks)
raw$public.remarks <- gsub(" daylite "," daylight ",raw$public.remarks)
raw$public.remarks <- gsub(" daylt "," daylight ",raw$public.remarks)
raw$public.remarks <- gsub(" days "," day ",raw$public.remarks)
raw$public.remarks <- gsub(" dble "," double ",raw$public.remarks)
raw$public.remarks <- gsub(" dck "," deck ",raw$public.remarks)
raw$public.remarks <- gsub(" deals "," deal ",raw$public.remarks)
raw$public.remarks <- gsub(" decaturs "," decatur ",raw$public.remarks)
raw$public.remarks <- gsub(" decking "," deck ",raw$public.remarks)
raw$public.remarks <- gsub(" decks "," deck ",raw$public.remarks)
raw$public.remarks <- gsub(" decor "," decorated ",raw$public.remarks)
raw$public.remarks <- gsub(" decorating "," decorated ",raw$public.remarks)
raw$public.remarks <- gsub(" decorative "," decorated ",raw$public.remarks)
raw$public.remarks <- gsub(" decorators "," decorator ",raw$public.remarks)
raw$public.remarks <- gsub(" delightfully "," delightful ",raw$public.remarks)
raw$public.remarks <- gsub(" dep "," deposit ",raw$public.remarks)
raw$public.remarks <- gsub(" deposits "," deposit ",raw$public.remarks)
raw$public.remarks <- gsub(" describes "," describe ",raw$public.remarks)
raw$public.remarks <- gsub(" designed "," design ",raw$public.remarks)
raw$public.remarks <- gsub(" designers "," designer ",raw$public.remarks)
raw$public.remarks <- gsub(" designs "," design ",raw$public.remarks)
raw$public.remarks <- gsub(" desire "," desirable ",raw$public.remarks)
raw$public.remarks <- gsub(" desireable "," desirable ",raw$public.remarks)
raw$public.remarks <- gsub(" desired "," desirable ",raw$public.remarks)
raw$public.remarks <- gsub(" det "," detached ",raw$public.remarks)
raw$public.remarks <- gsub(" detail "," details ",raw$public.remarks)
raw$public.remarks <- gsub(" detailed "," details ",raw$public.remarks)
raw$public.remarks <- gsub(" detailing "," details ",raw$public.remarks)
raw$public.remarks <- gsub(" dine "," dining ",raw$public.remarks)
raw$public.remarks <- gsub(" dini "," dining ",raw$public.remarks)
raw$public.remarks <- gsub(" dinig "," dining ",raw$public.remarks)
raw$public.remarks <- gsub(" dinin "," dining ",raw$public.remarks)
raw$public.remarks <- gsub(" diningrm "," dining room ",raw$public.remarks)
raw$public.remarks <- gsub(" diningroom "," dining room ",raw$public.remarks)
raw$public.remarks <- gsub(" dinning "," dining ",raw$public.remarks)
raw$public.remarks <- gsub(" dinrm "," dining room ",raw$public.remarks)
raw$public.remarks <- gsub(" disc "," disclosure ",raw$public.remarks)
raw$public.remarks <- gsub(" discl "," disclosure ",raw$public.remarks)
raw$public.remarks <- gsub(" disclo "," disclosure ",raw$public.remarks)
raw$public.remarks <- gsub(" discloffers "," disclosure offers ",raw$public.remarks)
raw$public.remarks <- gsub(" disclosur "," disclosure ",raw$public.remarks)
raw$public.remarks <- gsub(" disclosureno "," disclosure no ",raw$public.remarks)
raw$public.remarks <- gsub(" disclosures "," disclosure ",raw$public.remarks)
raw$public.remarks <- gsub(" disclre "," disclosure ",raw$public.remarks)
raw$public.remarks <- gsub(" disclseller "," disclosure seller ",raw$public.remarks)
raw$public.remarks <- gsub(" dishwshr "," dishwasher ",raw$public.remarks)
raw$public.remarks <- gsub(" dk "," deck ",raw$public.remarks)
raw$public.remarks <- gsub(" dlight "," daylight ",raw$public.remarks)
raw$public.remarks <- gsub(" dlt "," daylight ",raw$public.remarks)
raw$public.remarks <- gsub(" dlx "," deluxe ",raw$public.remarks)
raw$public.remarks <- gsub(" dning "," dining ",raw$public.remarks)
raw$public.remarks <- gsub(" dnrm "," dining room ",raw$public.remarks)
raw$public.remarks <- gsub(" docks "," dock ",raw$public.remarks)
raw$public.remarks <- gsub(" docs "," documents ",raw$public.remarks)
raw$public.remarks <- gsub(" dogs "," dog ",raw$public.remarks)
raw$public.remarks <- gsub(" dogwoods "," dogwood ",raw$public.remarks)
raw$public.remarks <- gsub(" dollars "," dollar ",raw$public.remarks)
raw$public.remarks <- gsub(" door "," doors ",raw$public.remarks)
raw$public.remarks <- gsub(" doorway "," doorways ",raw$public.remarks)
raw$public.remarks <- gsub(" doublesided "," double sided ",raw$public.remarks)
raw$public.remarks <- gsub(" drastically "," drastic ",raw$public.remarks)
raw$public.remarks <- gsub(" drawers "," drawer ",raw$public.remarks)
raw$public.remarks <- gsub(" dreams "," dream ",raw$public.remarks)
raw$public.remarks <- gsub(" driveunder "," drive under ",raw$public.remarks)
raw$public.remarks <- gsub(" driveways "," driveway ",raw$public.remarks)
raw$public.remarks <- gsub(" drlg "," darling ",raw$public.remarks)
raw$public.remarks <- gsub(" drm "," dining room ",raw$public.remarks)
raw$public.remarks <- gsub(" drs "," doors ",raw$public.remarks)
raw$public.remarks <- gsub(" drvwy "," driveway ",raw$public.remarks)
raw$public.remarks <- gsub(" dryr "," dryer ",raw$public.remarks)
raw$public.remarks <- gsub(" dsclsr "," disclosure ",raw$public.remarks)
raw$public.remarks <- gsub(" dsclsre "," disclosure ",raw$public.remarks)
raw$public.remarks <- gsub(" dscslre "," disclosure ",raw$public.remarks)
raw$public.remarks <- gsub(" dshwshr "," dishwasher ",raw$public.remarks)
raw$public.remarks <- gsub(" dsktp "," desktop ",raw$public.remarks)
raw$public.remarks <- gsub(" dtown "," downtown ",raw$public.remarks)
raw$public.remarks <- gsub(" dwn "," down ",raw$public.remarks)
raw$public.remarks <- gsub(" dwnstrs "," downstairs ",raw$public.remarks)
raw$public.remarks <- gsub(" dwntwn "," downtown ",raw$public.remarks)
raw$public.remarks <- gsub(" dylght "," daylight ",raw$public.remarks)
raw$public.remarks <- gsub(" ea "," each ",raw$public.remarks)
raw$public.remarks <- gsub(" eatinkit "," eatin kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" eatinkitchen "," eatin kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" eatn "," eatin ",raw$public.remarks)
raw$public.remarks <- gsub(" eatnkitchen "," eatin kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" ei "," eatin ",raw$public.remarks)
raw$public.remarks <- gsub(" eik "," eatin kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" elec "," electric ",raw$public.remarks)
raw$public.remarks <- gsub(" electrical "," electric ",raw$public.remarks)
raw$public.remarks <- gsub(" electricity "," electric ",raw$public.remarks)
raw$public.remarks <- gsub(" eleg "," elegant ",raw$public.remarks)
raw$public.remarks <- gsub(" elegance "," elegant ",raw$public.remarks)
raw$public.remarks <- gsub(" elegant "," elegant ",raw$public.remarks)
raw$public.remarks <- gsub(" elegantly "," elegant ",raw$public.remarks)
raw$public.remarks <- gsub(" elegible "," eligible ",raw$public.remarks)
raw$public.remarks <- gsub(" elem "," elementary ",raw$public.remarks)
raw$public.remarks <- gsub(" elig "," eligible ",raw$public.remarks)
raw$public.remarks <- gsub(" eligibility "," eligible ",raw$public.remarks)
raw$public.remarks <- gsub(" emd "," earnest money deposit ",raw$public.remarks)
raw$public.remarks <- gsub(" encl "," enclosed ",raw$public.remarks)
raw$public.remarks <- gsub(" enjoyed "," enjoy ",raw$public.remarks)
raw$public.remarks <- gsub(" enjoying "," enjoy ",raw$public.remarks)
raw$public.remarks <- gsub(" enjoyment "," enjoy ",raw$public.remarks)
raw$public.remarks <- gsub(" entert "," entertain ",raw$public.remarks)
raw$public.remarks <- gsub(" entertainer "," entertain ",raw$public.remarks)
raw$public.remarks <- gsub(" entertainers "," entertain ",raw$public.remarks)
raw$public.remarks <- gsub(" entertaining "," entertain ",raw$public.remarks)
raw$public.remarks <- gsub(" entrances "," entrance ",raw$public.remarks)
raw$public.remarks <- gsub(" entry "," entrance ",raw$public.remarks)
raw$public.remarks <- gsub(" entryall "," entrance ",raw$public.remarks)
raw$public.remarks <- gsub(" entryway "," entrance ",raw$public.remarks)
raw$public.remarks <- gsub(" entryways "," entrance ",raw$public.remarks)
raw$public.remarks <- gsub(" equip "," equipment ",raw$public.remarks)
raw$public.remarks <- gsub(" equipped "," equipment ",raw$public.remarks)
raw$public.remarks <- gsub(" est "," estate ",raw$public.remarks)
raw$public.remarks <- gsub(" estab "," established ",raw$public.remarks)
raw$public.remarks <- gsub(" euro "," european ",raw$public.remarks)
raw$public.remarks <- gsub(" evenings "," evening ",raw$public.remarks)
raw$public.remarks <- gsub(" everyones "," everyone ",raw$public.remarks)
raw$public.remarks <- gsub(" everythings "," everything ",raw$public.remarks)
raw$public.remarks <- gsub(" exc "," excellent ",raw$public.remarks)
raw$public.remarks <- gsub(" excell "," excellent ",raw$public.remarks)
raw$public.remarks <- gsub(" excellant "," excellent ",raw$public.remarks)
raw$public.remarks <- gsub(" excellence "," excellent ",raw$public.remarks)
raw$public.remarks <- gsub(" exceptionally "," exceptional ",raw$public.remarks)
raw$public.remarks <- gsub(" exec "," executive ",raw$public.remarks)
raw$public.remarks <- gsub(" exer "," exercise ",raw$public.remarks)
raw$public.remarks <- gsub(" exhbt "," exhibit ",raw$public.remarks)
raw$public.remarks <- gsub(" expressways "," expressway ",raw$public.remarks)
raw$public.remarks <- gsub(" exquisitely "," exquisite ",raw$public.remarks)
raw$public.remarks <- gsub(" extends "," extended ",raw$public.remarks)
raw$public.remarks <- gsub(" exter "," exterior ",raw$public.remarks)
raw$public.remarks <- gsub(" extr "," extra ",raw$public.remarks)
raw$public.remarks <- gsub(" extras "," extra ",raw$public.remarks)
raw$public.remarks <- gsub(" eyes "," eye ",raw$public.remarks)
raw$public.remarks <- gsub(" ez "," easy ",raw$public.remarks)
raw$public.remarks <- gsub(" fab "," fabulous ",raw$public.remarks)
raw$public.remarks <- gsub(" fabulously "," fabulous ",raw$public.remarks)
raw$public.remarks <- gsub(" faces "," facing ",raw$public.remarks)
raw$public.remarks <- gsub(" fami "," family ",raw$public.remarks)
raw$public.remarks <- gsub(" famil "," family ",raw$public.remarks)
raw$public.remarks <- gsub(" families "," family ",raw$public.remarks)
raw$public.remarks <- gsub(" familyrm "," family room ",raw$public.remarks)
raw$public.remarks <- gsub(" familyroom "," family room ",raw$public.remarks)
raw$public.remarks <- gsub(" famiy "," family ",raw$public.remarks)
raw$public.remarks <- gsub(" famly "," family ",raw$public.remarks)
raw$public.remarks <- gsub(" famrm "," family room ",raw$public.remarks)
raw$public.remarks <- gsub(" fans "," fan ",raw$public.remarks)
raw$public.remarks <- gsub(" farms "," farm ",raw$public.remarks)
raw$public.remarks <- gsub(" faucets "," faucet ",raw$public.remarks)
raw$public.remarks <- gsub(" feat "," features ",raw$public.remarks)
raw$public.remarks <- gsub(" feats "," features ",raw$public.remarks)
raw$public.remarks <- gsub(" feature "," features ",raw$public.remarks)
raw$public.remarks <- gsub(" featured "," features ",raw$public.remarks)
raw$public.remarks <- gsub(" featuring "," features ",raw$public.remarks)
raw$public.remarks <- gsub(" feels "," feel ",raw$public.remarks)
raw$public.remarks <- gsub(" fees "," fee ",raw$public.remarks)
raw$public.remarks <- gsub(" fenc "," fenced ",raw$public.remarks)
raw$public.remarks <- gsub(" fencd "," fenced ",raw$public.remarks)
raw$public.remarks <- gsub(" fence "," fenced ",raw$public.remarks)
raw$public.remarks <- gsub(" fencedin "," fenced in ",raw$public.remarks)
raw$public.remarks <- gsub(" fencing "," fenced ",raw$public.remarks)
raw$public.remarks <- gsub(" fields "," field ",raw$public.remarks)
raw$public.remarks <- gsub(" finally "," final ",raw$public.remarks)
raw$public.remarks <- gsub(" finalnegotiated "," final negotiation ",raw$public.remarks)
raw$public.remarks <- gsub(" finan "," financing ",raw$public.remarks)
raw$public.remarks <- gsub(" financ "," financing ",raw$public.remarks)
raw$public.remarks <- gsub(" finance "," financing ",raw$public.remarks)
raw$public.remarks <- gsub(" financed "," financing ",raw$public.remarks)
raw$public.remarks <- gsub(" finances "," financing ",raw$public.remarks)
raw$public.remarks <- gsub(" finc "," financing ",raw$public.remarks)
raw$public.remarks <- gsub(" fincing "," financing ",raw$public.remarks)
raw$public.remarks <- gsub(" finshd "," finished ",raw$public.remarks)
raw$public.remarks <- gsub(" finshed "," finished ",raw$public.remarks)
raw$public.remarks <- gsub(" finsihed "," finished ",raw$public.remarks)
raw$public.remarks <- gsub(" firep "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" firepl "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" firepla "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" fireplac "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" fireplacelarge "," fireplace large ",raw$public.remarks)
raw$public.remarks <- gsub(" fireplaces "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" fireplc "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" fireplce "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" firplace "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" firsttime "," first time ",raw$public.remarks)
raw$public.remarks <- gsub(" fishing "," fish ",raw$public.remarks)
raw$public.remarks <- gsub(" fixerupper "," fixer upper ",raw$public.remarks)
raw$public.remarks <- gsub(" fixt "," fixtures ",raw$public.remarks)
raw$public.remarks <- gsub(" fixture "," fixtures ",raw$public.remarks)
raw$public.remarks <- gsub(" fixup "," fixer upper ",raw$public.remarks)
raw$public.remarks <- gsub(" fl "," floor ",raw$public.remarks)
raw$public.remarks <- gsub(" flex "," flexible ",raw$public.remarks)
raw$public.remarks <- gsub(" floo "," floor ",raw$public.remarks)
raw$public.remarks <- gsub(" flooded "," flood ",raw$public.remarks)
raw$public.remarks <- gsub(" floored "," floor ",raw$public.remarks)
raw$public.remarks <- gsub(" flooring "," floor ",raw$public.remarks)
raw$public.remarks <- gsub(" floorplans "," floorplan ",raw$public.remarks)
raw$public.remarks <- gsub(" floorpln "," floorplan ",raw$public.remarks)
raw$public.remarks <- gsub(" floors "," floor ",raw$public.remarks)
raw$public.remarks <- gsub(" floorsnew "," floor new ",raw$public.remarks)
raw$public.remarks <- gsub(" flowers "," flower ",raw$public.remarks)
raw$public.remarks <- gsub(" flows "," flow ",raw$public.remarks)
raw$public.remarks <- gsub(" flp "," floorplan ",raw$public.remarks)
raw$public.remarks <- gsub(" flpln "," floorplan ",raw$public.remarks)
raw$public.remarks <- gsub(" flring "," floor ",raw$public.remarks)
raw$public.remarks <- gsub(" flrng "," floor ",raw$public.remarks)
raw$public.remarks <- gsub(" flrplan "," floorplan ",raw$public.remarks)
raw$public.remarks <- gsub(" flrsnew "," floor new ",raw$public.remarks)
raw$public.remarks <- gsub(" fls "," floor ",raw$public.remarks)
raw$public.remarks <- gsub(" fmlyrm "," family room ",raw$public.remarks)
raw$public.remarks <- gsub(" fmrm "," family room ",raw$public.remarks)
raw$public.remarks <- gsub(" fnced "," fenced ",raw$public.remarks)
raw$public.remarks <- gsub(" fnma "," fannie mae ",raw$public.remarks)
raw$public.remarks <- gsub(" fnshd "," finished ",raw$public.remarks)
raw$public.remarks <- gsub(" fnshed "," finished ",raw$public.remarks)
raw$public.remarks <- gsub(" forclosure "," foreclosure ",raw$public.remarks)
raw$public.remarks <- gsub(" foreclosed "," foreclosure ",raw$public.remarks)
raw$public.remarks <- gsub(" formal "," formal ",raw$public.remarks)
raw$public.remarks <- gsub(" formalroom "," formal room ",raw$public.remarks)
raw$public.remarks <- gsub(" formals "," formal ",raw$public.remarks)
raw$public.remarks <- gsub(" forml "," formal ",raw$public.remarks)
raw$public.remarks <- gsub(" foryer "," foyer ",raw$public.remarks)
raw$public.remarks <- gsub(" foursided "," four sided ",raw$public.remarks)
raw$public.remarks <- gsub(" foy "," foyer ",raw$public.remarks)
raw$public.remarks <- gsub(" foyers "," foyer ",raw$public.remarks)
raw$public.remarks <- gsub(" foyr "," foyer ",raw$public.remarks)
raw$public.remarks <- gsub(" fpfrml "," fireplace formal ",raw$public.remarks)
raw$public.remarks <- gsub(" fpl "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" fplace "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" fplce "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" fplcs "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" fpls "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" fps "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" framed "," frame ",raw$public.remarks)
raw$public.remarks <- gsub(" freeways "," freeway ",raw$public.remarks)
raw$public.remarks <- gsub(" freshley "," fresh ",raw$public.remarks)
raw$public.remarks <- gsub(" freshly "," fresh ",raw$public.remarks)
raw$public.remarks <- gsub(" fridge "," refrigerator ",raw$public.remarks)
raw$public.remarks <- gsub(" frieze "," freezer ",raw$public.remarks)
raw$public.remarks <- gsub(" frig "," refrigerator ",raw$public.remarks)
raw$public.remarks <- gsub(" frm "," family room ",raw$public.remarks)
raw$public.remarks <- gsub(" frnch "," french ",raw$public.remarks)
raw$public.remarks <- gsub(" fron "," front ",raw$public.remarks)
raw$public.remarks <- gsub(" fronts "," front ",raw$public.remarks)
raw$public.remarks <- gsub(" frplace "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" frplce "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" frplcs "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" frpls "," fireplace ",raw$public.remarks)
raw$public.remarks <- gsub(" frsh "," fresh ",raw$public.remarks)
raw$public.remarks <- gsub(" ftg "," footage ",raw$public.remarks)
raw$public.remarks <- gsub(" fuller "," full ",raw$public.remarks)
raw$public.remarks <- gsub(" fundsem "," funds earnest money ",raw$public.remarks)
raw$public.remarks <- gsub(" furnaces "," furnace ",raw$public.remarks)
raw$public.remarks <- gsub(" furnance "," furnace ",raw$public.remarks)
raw$public.remarks <- gsub(" furnishings "," furnished ",raw$public.remarks)
raw$public.remarks <- gsub(" fyer "," foyer ",raw$public.remarks)
raw$public.remarks <- gsub(" fyr "," foyer ",raw$public.remarks)
raw$public.remarks <- gsub(" gameroom "," game room ",raw$public.remarks)
raw$public.remarks <- gsub(" gar "," garage ",raw$public.remarks)
raw$public.remarks <- gsub(" garag "," garage ",raw$public.remarks)
raw$public.remarks <- gsub(" garages "," garage ",raw$public.remarks)
raw$public.remarks <- gsub(" gard "," garden ",raw$public.remarks)
raw$public.remarks <- gsub(" gardeners "," garden ",raw$public.remarks)
raw$public.remarks <- gsub(" gardening "," garden ",raw$public.remarks)
raw$public.remarks <- gsub(" gardens "," garden ",raw$public.remarks)
raw$public.remarks <- gsub(" gardentub "," garden tub ",raw$public.remarks)
raw$public.remarks <- gsub(" gardn "," garden ",raw$public.remarks)
raw$public.remarks <- gsub(" gardners "," garden ",raw$public.remarks)
raw$public.remarks <- gsub(" gargage "," garage ",raw$public.remarks)
raw$public.remarks <- gsub(" garge "," garage ",raw$public.remarks)
raw$public.remarks <- gsub(" gates "," gate ",raw$public.remarks)
raw$public.remarks <- gsub(" gathering "," gatherings ",raw$public.remarks)
raw$public.remarks <- gsub(" gdn "," garden ",raw$public.remarks)
raw$public.remarks <- gsub(" generously "," generous ",raw$public.remarks)
raw$public.remarks <- gsub(" gentlemans "," gentlemens ",raw$public.remarks)
raw$public.remarks <- gsub(" george "," gorgeous ",raw$public.remarks)
raw$public.remarks <- gsub(" georgeous "," gorgeous ",raw$public.remarks)
raw$public.remarks <- gsub(" georgian "," georgia ",raw$public.remarks)
raw$public.remarks <- gsub(" georgous "," gorgeous ",raw$public.remarks)
raw$public.remarks <- gsub(" getcontract "," get contract ",raw$public.remarks)
raw$public.remarks <- gsub(" gets "," get ",raw$public.remarks)
raw$public.remarks <- gsub(" gives "," give ",raw$public.remarks)
raw$public.remarks <- gsub(" glassed "," glass ",raw$public.remarks)
raw$public.remarks <- gsub(" golden "," gold ",raw$public.remarks)
raw$public.remarks <- gsub(" gorg "," gorgeous ",raw$public.remarks)
raw$public.remarks <- gsub(" gormet "," gourmet ",raw$public.remarks)
raw$public.remarks <- gsub(" gour "," gourmet ",raw$public.remarks)
raw$public.remarks <- gsub(" gourm "," gourmet ",raw$public.remarks)
raw$public.remarks <- gsub(" gourment "," gourmet ",raw$public.remarks)
raw$public.remarks <- gsub(" grades "," grade ",raw$public.remarks)
raw$public.remarks <- gsub(" gran "," grand ",raw$public.remarks)
raw$public.remarks <- gsub(" grandrm "," grand room ",raw$public.remarks)
raw$public.remarks <- gsub(" granit "," granite ",raw$public.remarks)
raw$public.remarks <- gsub(" grd "," grand ",raw$public.remarks)
raw$public.remarks <- gsub(" grea "," great ",raw$public.remarks)
raw$public.remarks <- gsub(" greatrm "," great room ",raw$public.remarks)
raw$public.remarks <- gsub(" greatroom "," great room ",raw$public.remarks)
raw$public.remarks <- gsub(" greenhouse "," green house ",raw$public.remarks)
raw$public.remarks <- gsub(" greenspace "," green space ",raw$public.remarks)
raw$public.remarks <- gsub(" greenway "," green way ",raw$public.remarks)
raw$public.remarks <- gsub(" greets "," greet ",raw$public.remarks)
raw$public.remarks <- gsub(" grg "," garage ",raw$public.remarks)
raw$public.remarks <- gsub(" grge "," garage ",raw$public.remarks)
raw$public.remarks <- gsub(" grilling "," grill ",raw$public.remarks)
raw$public.remarks <- gsub(" grmet "," gourmet ",raw$public.remarks)
raw$public.remarks <- gsub(" grmt "," gourmet ",raw$public.remarks)
raw$public.remarks <- gsub(" grnd "," grand ",raw$public.remarks)
raw$public.remarks <- gsub(" grnite "," granite ",raw$public.remarks)
raw$public.remarks <- gsub(" grnt "," granite ",raw$public.remarks)
raw$public.remarks <- gsub(" grnte "," granite ",raw$public.remarks)
raw$public.remarks <- gsub(" growth "," growing ",raw$public.remarks)
raw$public.remarks <- gsub(" grt "," great ",raw$public.remarks)
raw$public.remarks <- gsub(" grtrm "," great room ",raw$public.remarks)
raw$public.remarks <- gsub(" gteed "," guaranteed ",raw$public.remarks)
raw$public.remarks <- gsub(" gtrm "," great room ",raw$public.remarks)
raw$public.remarks <- gsub(" guar "," guaranteed ",raw$public.remarks)
raw$public.remarks <- gsub(" guaranted "," guaranteed ",raw$public.remarks)
raw$public.remarks <- gsub(" guarantee "," guaranteed ",raw$public.remarks)
raw$public.remarks <- gsub(" guaranteedup "," guaranteed up ",raw$public.remarks)
raw$public.remarks <- gsub(" guards "," guard ",raw$public.remarks)
raw$public.remarks <- gsub(" guests "," guest ",raw$public.remarks)
raw$public.remarks <- gsub(" guranteed "," guaranteed ",raw$public.remarks)
raw$public.remarks <- gsub(" gutter "," gutters ",raw$public.remarks)
raw$public.remarks <- gsub(" gwin "," gwinnett ",raw$public.remarks)
raw$public.remarks <- gsub(" gwinnetts "," gwinnett ",raw$public.remarks)
raw$public.remarks <- gsub(" h20 "," h2o ",raw$public.remarks)
raw$public.remarks <- gsub(" h2o "," h2o ",raw$public.remarks)
raw$public.remarks <- gsub(" halfacre "," half acre ",raw$public.remarks)
raw$public.remarks <- gsub(" halls "," hall ",raw$public.remarks)
raw$public.remarks <- gsub(" hallways "," hallway ",raw$public.remarks)
raw$public.remarks <- gsub(" handicapped "," handicap ",raw$public.remarks)
raw$public.remarks <- gsub(" handymans "," handyman ",raw$public.remarks)
raw$public.remarks <- gsub(" hardie "," hardi ",raw$public.remarks)
raw$public.remarks <- gsub(" hardiplank "," hardi plank ",raw$public.remarks)
raw$public.remarks <- gsub(" hardiplankceramic "," hardi plank ceramic ",raw$public.remarks)
raw$public.remarks <- gsub(" hardw "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hardwds "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hardwo "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hardwoo "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hardwoos "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" harwood "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" harwoods "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hd "," hard ",raw$public.remarks)
raw$public.remarks <- gsub(" hdcoat "," hardcoat ",raw$public.remarks)
raw$public.remarks <- gsub(" hdw "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hdwood "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hdwoods "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hdws "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" heads "," head ",raw$public.remarks)
raw$public.remarks <- gsub(" heated "," heat ",raw$public.remarks)
raw$public.remarks <- gsub(" heaters "," heater ",raw$public.remarks)
raw$public.remarks <- gsub(" heating "," heat ",raw$public.remarks)
raw$public.remarks <- gsub(" heres "," here ",raw$public.remarks)
raw$public.remarks <- gsub(" hg "," huge ",raw$public.remarks)
raw$public.remarks <- gsub(" hge "," huge ",raw$public.remarks)
raw$public.remarks <- gsub(" hgtv "," huge tv ",raw$public.remarks)
raw$public.remarks <- gsub(" hiend "," high end ",raw$public.remarks)
raw$public.remarks <- gsub(" highend "," high end ",raw$public.remarks)
raw$public.remarks <- gsub(" highland "," highlands ",raw$public.remarks)
raw$public.remarks <- gsub(" highlights "," highlight ",raw$public.remarks)
raw$public.remarks <- gsub(" highways "," highway ",raw$public.remarks)
raw$public.remarks <- gsub(" hist "," historic ",raw$public.remarks)
raw$public.remarks <- gsub(" historical "," historic ",raw$public.remarks)
raw$public.remarks <- gsub(" history "," historic ",raw$public.remarks)
raw$public.remarks <- gsub(" hme "," home ",raw$public.remarks)
raw$public.remarks <- gsub(" hmpth "," homepath ",raw$public.remarks)
raw$public.remarks <- gsub(" hms "," home ",raw$public.remarks)
raw$public.remarks <- gsub(" holds "," hold ",raw$public.remarks)
raw$public.remarks <- gsub(" holidays "," holiday ",raw$public.remarks)
raw$public.remarks <- gsub(" hom "," home ",raw$public.remarks)
raw$public.remarks <- gsub(" home2 "," home ",raw$public.remarks)
raw$public.remarks <- gsub(" home3 "," home ",raw$public.remarks)
raw$public.remarks <- gsub(" homebuyers "," homebuyer ",raw$public.remarks)
raw$public.remarks <- gsub(" homegreat "," home great ",raw$public.remarks)
raw$public.remarks <- gsub(" homenew "," home new ",raw$public.remarks)
raw$public.remarks <- gsub(" homeopen "," home open ",raw$public.remarks)
raw$public.remarks <- gsub(" homeowners "," homeowner ",raw$public.remarks)
raw$public.remarks <- gsub(" homepathfinancing "," homepath financing ",raw$public.remarks)
raw$public.remarks <- gsub(" homes "," home ",raw$public.remarks)
raw$public.remarks <- gsub(" homesites "," homesite ",raw$public.remarks)
raw$public.remarks <- gsub(" homesteps "," home step ",raw$public.remarks)
raw$public.remarks <- gsub(" horses "," horse ",raw$public.remarks)
raw$public.remarks <- gsub(" hospitals "," hospital ",raw$public.remarks)
raw$public.remarks <- gsub(" hotwater "," hot water ",raw$public.remarks)
raw$public.remarks <- gsub(" hours "," hour ",raw$public.remarks)
raw$public.remarks <- gsub(" houses "," house ",raw$public.remarks)
raw$public.remarks <- gsub(" hp "," homepath ",raw$public.remarks)
raw$public.remarks <- gsub(" hpath "," homepath ",raw$public.remarks)
raw$public.remarks <- gsub(" hrd "," hard ",raw$public.remarks)
raw$public.remarks <- gsub(" hrdcoat "," hardcoat ",raw$public.remarks)
raw$public.remarks <- gsub(" hrdct "," hardcoat ",raw$public.remarks)
raw$public.remarks <- gsub(" hrdw "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hrdwood "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hrdwoods "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hrdws "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hrs "," hour ",raw$public.remarks)
raw$public.remarks <- gsub(" hrwds "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hse "," house ",raw$public.remarks)
raw$public.remarks <- gsub(" hudkey "," hud key ",raw$public.remarks)
raw$public.remarks <- gsub(" hudowned "," hud owned ",raw$public.remarks)
raw$public.remarks <- gsub(" hunters "," hunter ",raw$public.remarks)
raw$public.remarks <- gsub(" hvacs "," hvac ",raw$public.remarks)
raw$public.remarks <- gsub(" hwd "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hwds "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hwood "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hwoods "," hardwood ",raw$public.remarks)
raw$public.remarks <- gsub(" hwy "," highway ",raw$public.remarks)
raw$public.remarks <- gsub(" hwys "," highway ",raw$public.remarks)
raw$public.remarks <- gsub(" imaginable "," imagine ",raw$public.remarks)
raw$public.remarks <- gsub(" imagination "," imagine ",raw$public.remarks)
raw$public.remarks <- gsub(" immac "," immaculate ",raw$public.remarks)
raw$public.remarks <- gsub(" immacualte "," immaculate ",raw$public.remarks)
raw$public.remarks <- gsub(" immaculately "," immaculate ",raw$public.remarks)
raw$public.remarks <- gsub(" immed "," immediate ",raw$public.remarks)
raw$public.remarks <- gsub(" immediately "," immediate ",raw$public.remarks)
raw$public.remarks <- gsub(" impeccably "," impeccable ",raw$public.remarks)
raw$public.remarks <- gsub(" impress "," impressive ",raw$public.remarks)
raw$public.remarks <- gsub(" impressed "," impressive ",raw$public.remarks)
raw$public.remarks <- gsub(" improved "," improvements ",raw$public.remarks)
raw$public.remarks <- gsub(" inc "," included ",raw$public.remarks)
raw$public.remarks <- gsub(" incent "," incentive ",raw$public.remarks)
raw$public.remarks <- gsub(" incentives "," incentive ",raw$public.remarks)
raw$public.remarks <- gsub(" incl "," include ",raw$public.remarks)
raw$public.remarks <- gsub(" incld "," include ",raw$public.remarks)
raw$public.remarks <- gsub(" includ "," include ",raw$public.remarks)
raw$public.remarks <- gsub(" included "," include ",raw$public.remarks)
raw$public.remarks <- gsub(" includes "," include ",raw$public.remarks)
raw$public.remarks <- gsub(" including "," include ",raw$public.remarks)
raw$public.remarks <- gsub(" incred "," incredible ",raw$public.remarks)
raw$public.remarks <- gsub(" incredibly "," incredible ",raw$public.remarks)
raw$public.remarks <- gsub(" info "," information ",raw$public.remarks)
raw$public.remarks <- gsub(" infor "," information ",raw$public.remarks)
raw$public.remarks <- gsub(" ingrd "," inground ",raw$public.remarks)
raw$public.remarks <- gsub(" ingrnd "," inground ",raw$public.remarks)
raw$public.remarks <- gsub(" inititive "," initiative ",raw$public.remarks)
raw$public.remarks <- gsub(" inlaid "," inlay ",raw$public.remarks)
raw$public.remarks <- gsub(" inlaws "," inlaw ",raw$public.remarks)
raw$public.remarks <- gsub(" inlawsuite "," inlaw suite ",raw$public.remarks)
raw$public.remarks <- gsub(" inspec "," inspection ",raw$public.remarks)
raw$public.remarks <- gsub(" inspected "," inspection ",raw$public.remarks)
raw$public.remarks <- gsub(" inspections "," inspection ",raw$public.remarks)
raw$public.remarks <- gsub(" inspiring "," inspired ",raw$public.remarks)
raw$public.remarks <- gsub(" install "," installed ",raw$public.remarks)
raw$public.remarks <- gsub(" instru "," instructions ",raw$public.remarks)
raw$public.remarks <- gsub(" instruc "," instructions ",raw$public.remarks)
raw$public.remarks <- gsub(" instruction "," instructions ",raw$public.remarks)
raw$public.remarks <- gsub(" insulated "," insulation ",raw$public.remarks)
raw$public.remarks <- gsub(" insurability "," insurable ",raw$public.remarks)
raw$public.remarks <- gsub(" insured "," insurable ",raw$public.remarks)
raw$public.remarks <- gsub(" interiors "," interior ",raw$public.remarks)
raw$public.remarks <- gsub(" interstates "," interstate ",raw$public.remarks)
raw$public.remarks <- gsub(" invester "," investor ",raw$public.remarks)
raw$public.remarks <- gsub(" investors "," investor ",raw$public.remarks)
raw$public.remarks <- gsub(" invite "," inviting ",raw$public.remarks)
raw$public.remarks <- gsub(" invites "," inviting ",raw$public.remarks)
raw$public.remarks <- gsub(" isl "," island ",raw$public.remarks)
raw$public.remarks <- gsub(" islands "," island ",raw$public.remarks)
raw$public.remarks <- gsub(" isld "," island ",raw$public.remarks)
raw$public.remarks <- gsub(" islnd "," island ",raw$public.remarks)
raw$public.remarks <- gsub(" isno "," is no ",raw$public.remarks)
raw$public.remarks <- gsub(" jacknjill "," jack and jill ",raw$public.remarks)
raw$public.remarks <- gsub(" jacks "," jack ",raw$public.remarks)
raw$public.remarks <- gsub(" jenn air "," jennair ",raw$public.remarks)
raw$public.remarks <- gsub(" jennaire "," jennair ",raw$public.remarks)
raw$public.remarks <- gsub(" jet "," jetted ",raw$public.remarks)
raw$public.remarks <- gsub(" johns "," john ",raw$public.remarks)
raw$public.remarks <- gsub(" jr "," junior ",raw$public.remarks)
raw$public.remarks <- gsub(" keeprm "," keep room ",raw$public.remarks)
raw$public.remarks <- gsub(" kichen "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" kid "," kids ",raw$public.remarks)
raw$public.remarks <- gsub(" kingsize "," king size ",raw$public.remarks)
raw$public.remarks <- gsub(" kingsized "," king size ",raw$public.remarks)
raw$public.remarks <- gsub(" kitc "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" kitche "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" kitchenlarge "," kitchen large ",raw$public.remarks)
raw$public.remarks <- gsub(" kitchennew "," kitchen new ",raw$public.remarks)
raw$public.remarks <- gsub(" kitchens "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" kitchn "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" kitgranite "," kitchen granite ",raw$public.remarks)
raw$public.remarks <- gsub(" kithcen "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" kithchen "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" kithen "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" kitn "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" kitnew "," kitchen new ",raw$public.remarks)
raw$public.remarks <- gsub(" knocks "," knock ",raw$public.remarks)
raw$public.remarks <- gsub(" ksu "," kennesaw state university ",raw$public.remarks)
raw$public.remarks <- gsub(" kt "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" ktch "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" ktchen "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" ktchn "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" ktichen "," kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" lakefront "," lake side ",raw$public.remarks)
raw$public.remarks <- gsub(" lakes "," lake ",raw$public.remarks)
raw$public.remarks <- gsub(" lakeside "," lake side ",raw$public.remarks)
raw$public.remarks <- gsub(" lakeview "," lake view ",raw$public.remarks)
raw$public.remarks <- gsub(" laminated "," laminate ",raw$public.remarks)
raw$public.remarks <- gsub(" landscape "," landscaped ",raw$public.remarks)
raw$public.remarks <- gsub(" landscaping "," landscaped ",raw$public.remarks)
raw$public.remarks <- gsub(" landscpd "," landscaped ",raw$public.remarks)
raw$public.remarks <- gsub(" lanscaped "," landscaped ",raw$public.remarks)
raw$public.remarks <- gsub(" lar "," large ",raw$public.remarks)
raw$public.remarks <- gsub(" larg "," large ",raw$public.remarks)
raw$public.remarks <- gsub(" laun "," laundry ",raw$public.remarks)
raw$public.remarks <- gsub(" laund "," laundry ",raw$public.remarks)
raw$public.remarks <- gsub(" laundryroom "," laundry room ",raw$public.remarks)
raw$public.remarks <- gsub(" lawns "," lawn ",raw$public.remarks)
raw$public.remarks <- gsub(" lb "," lockbox ",raw$public.remarks)
raw$public.remarks <- gsub(" lbox "," lockbox ",raw$public.remarks)
raw$public.remarks <- gsub(" lbx "," lockbox ",raw$public.remarks)
raw$public.remarks <- gsub(" ldry "," laundry ",raw$public.remarks)
raw$public.remarks <- gsub(" ldscpd "," landscaped ",raw$public.remarks)
raw$public.remarks <- gsub(" leadbased "," lead based ",raw$public.remarks)
raw$public.remarks <- gsub(" ledges "," ledge ",raw$public.remarks)
raw$public.remarks <- gsub(" lenders "," lender ",raw$public.remarks)
raw$public.remarks <- gsub(" letters "," letter ",raw$public.remarks)
raw$public.remarks <- gsub(" leve "," level ",raw$public.remarks)
raw$public.remarks <- gsub(" leveled "," level ",raw$public.remarks)
raw$public.remarks <- gsub(" levels "," level ",raw$public.remarks)
raw$public.remarks <- gsub(" levl "," level ",raw$public.remarks)
raw$public.remarks <- gsub(" lge "," large ",raw$public.remarks)
raw$public.remarks <- gsub(" lght "," light ",raw$public.remarks)
raw$public.remarks <- gsub(" lgr "," larger ",raw$public.remarks)
raw$public.remarks <- gsub(" lgst "," largest ",raw$public.remarks)
raw$public.remarks <- gsub(" lighted "," light ",raw$public.remarks)
raw$public.remarks <- gsub(" lightfilled "," light filled ",raw$public.remarks)
raw$public.remarks <- gsub(" lighting "," light ",raw$public.remarks)
raw$public.remarks <- gsub(" lights "," light ",raw$public.remarks)
raw$public.remarks <- gsub(" likenew "," like new ",raw$public.remarks)
raw$public.remarks <- gsub(" limited "," limit ",raw$public.remarks)
raw$public.remarks <- gsub(" limits "," limit ",raw$public.remarks)
raw$public.remarks <- gsub(" lines "," line ",raw$public.remarks)
raw$public.remarks <- gsub(" listings "," listing ",raw$public.remarks)
raw$public.remarks <- gsub(" lit "," light ",raw$public.remarks)
raw$public.remarks <- gsub(" lite "," light ",raw$public.remarks)
raw$public.remarks <- gsub(" lites "," light ",raw$public.remarks)
raw$public.remarks <- gsub(" liveable "," livable ",raw$public.remarks)
raw$public.remarks <- gsub(" livin "," living ",raw$public.remarks)
raw$public.remarks <- gsub(" livingdining "," living dining ",raw$public.remarks)
raw$public.remarks <- gsub(" livingrm "," living room ",raw$public.remarks)
raw$public.remarks <- gsub(" livingroom "," living room ",raw$public.remarks)
raw$public.remarks <- gsub(" livng "," living ",raw$public.remarks)
raw$public.remarks <- gsub(" livrm "," living room ",raw$public.remarks)
raw$public.remarks <- gsub(" lkbx "," lockbox ",raw$public.remarks)
raw$public.remarks <- gsub(" lndrs "," lender ",raw$public.remarks)
raw$public.remarks <- gsub(" lndry "," laundry ",raw$public.remarks)
raw$public.remarks <- gsub(" lndscaped "," landscaped ",raw$public.remarks)
raw$public.remarks <- gsub(" lndscp "," landscaped ",raw$public.remarks)
raw$public.remarks <- gsub(" lndscpd "," landscaped ",raw$public.remarks)
raw$public.remarks <- gsub(" lndscped "," landscaped ",raw$public.remarks)
raw$public.remarks <- gsub(" lndscping "," landscaped ",raw$public.remarks)
raw$public.remarks <- gsub(" lndscpng "," landscaped ",raw$public.remarks)
raw$public.remarks <- gsub(" loans "," loan ",raw$public.remarks)
raw$public.remarks <- gsub(" loc "," location ",raw$public.remarks)
raw$public.remarks <- gsub(" loca "," location ",raw$public.remarks)
raw$public.remarks <- gsub(" locat "," location ",raw$public.remarks)
raw$public.remarks <- gsub(" located "," location ",raw$public.remarks)
raw$public.remarks <- gsub(" locationclose "," location close ",raw$public.remarks)
raw$public.remarks <- gsub(" locationgreat "," location great ",raw$public.remarks)
raw$public.remarks <- gsub(" locations "," location ",raw$public.remarks)
raw$public.remarks <- gsub(" lock box "," lockbox ",raw$public.remarks)
raw$public.remarks <- gsub(" logs "," log ",raw$public.remarks)
raw$public.remarks <- gsub(" looks "," look ",raw$public.remarks)
raw$public.remarks <- gsub(" lotfenced "," lot fenced ",raw$public.remarks)
raw$public.remarks <- gsub(" lotgreat "," lot great ",raw$public.remarks)
raw$public.remarks <- gsub(" lothuge "," lot huge ",raw$public.remarks)
raw$public.remarks <- gsub(" lotnew "," lot new ",raw$public.remarks)
raw$public.remarks <- gsub(" lots "," lot ",raw$public.remarks)
raw$public.remarks <- gsub(" lovely "," love ",raw$public.remarks)
raw$public.remarks <- gsub(" loves "," love ",raw$public.remarks)
raw$public.remarks <- gsub(" lovingly "," lovely ",raw$public.remarks)
raw$public.remarks <- gsub(" lowmaintenance "," low maintenance ",raw$public.remarks)
raw$public.remarks <- gsub(" lrge "," large ",raw$public.remarks)
raw$public.remarks <- gsub(" lrgst "," largest ",raw$public.remarks)
raw$public.remarks <- gsub(" lrm "," living room ",raw$public.remarks)
raw$public.remarks <- gsub(" lscaped "," landscaped ",raw$public.remarks)
raw$public.remarks <- gsub(" lscaping "," landscaped ",raw$public.remarks)
raw$public.remarks <- gsub(" lstng "," listing ",raw$public.remarks)
raw$public.remarks <- gsub(" ltle "," little ",raw$public.remarks)
raw$public.remarks <- gsub(" ltv "," loan to value ",raw$public.remarks)
raw$public.remarks <- gsub(" lushly "," lush ",raw$public.remarks)
raw$public.remarks <- gsub(" lville "," lawrenceville ",raw$public.remarks)
raw$public.remarks <- gsub(" lving "," living ",raw$public.remarks)
raw$public.remarks <- gsub(" lvls "," levels ",raw$public.remarks)
raw$public.remarks <- gsub(" lvrm "," living room ",raw$public.remarks)
raw$public.remarks <- gsub(" magnificant "," magnificent ",raw$public.remarks)
raw$public.remarks <- gsub(" main2 "," main two ",raw$public.remarks)
raw$public.remarks <- gsub(" mainhuge "," main huge ",raw$public.remarks)
raw$public.remarks <- gsub(" mainnew "," main new ",raw$public.remarks)
raw$public.remarks <- gsub(" maint "," maintenance ",raw$public.remarks)
raw$public.remarks <- gsub(" maintd "," maintained ",raw$public.remarks)
raw$public.remarks <- gsub(" maintence "," maintenance ",raw$public.remarks)
raw$public.remarks <- gsub(" maintnd "," maintained ",raw$public.remarks)
raw$public.remarks <- gsub(" makes "," make ",raw$public.remarks)
raw$public.remarks <- gsub(" malls "," mall ",raw$public.remarks)
raw$public.remarks <- gsub(" mantel "," mantle ",raw$public.remarks)
raw$public.remarks <- gsub(" mantels "," mantle ",raw$public.remarks)
raw$public.remarks <- gsub(" mariettas "," marietta ",raw$public.remarks)
raw$public.remarks <- gsub(" martin "," martins ",raw$public.remarks)
raw$public.remarks <- gsub(" mason "," masonry ",raw$public.remarks)
raw$public.remarks <- gsub(" masonary "," masonry ",raw$public.remarks)
raw$public.remarks <- gsub(" mast "," master ",raw$public.remarks)
raw$public.remarks <- gsub(" maste "," master ",raw$public.remarks)
raw$public.remarks <- gsub(" masterbath "," master bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" masteronmain "," master main ",raw$public.remarks)
raw$public.remarks <- gsub(" mastersuite "," master suite ",raw$public.remarks)
raw$public.remarks <- gsub(" mastr "," master ",raw$public.remarks)
raw$public.remarks <- gsub(" maximum "," max ",raw$public.remarks)
raw$public.remarks <- gsub(" mba "," main bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" mbath "," main bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" mediaroom "," media room ",raw$public.remarks)
raw$public.remarks <- gsub(" meticulously "," meticulous ",raw$public.remarks)
raw$public.remarks <- gsub(" mgmt "," management ",raw$public.remarks)
raw$public.remarks <- gsub(" mgt "," management ",raw$public.remarks)
raw$public.remarks <- gsub(" miles "," mile ",raw$public.remarks)
raw$public.remarks <- gsub(" mins "," minutes ",raw$public.remarks)
raw$public.remarks <- gsub(" minute "," minutes ",raw$public.remarks)
raw$public.remarks <- gsub(" mirrored "," mirror ",raw$public.remarks)
raw$public.remarks <- gsub(" mirrors "," mirror ",raw$public.remarks)
raw$public.remarks <- gsub(" mkt "," market ",raw$public.remarks)
raw$public.remarks <- gsub(" mldg "," molding ",raw$public.remarks)
raw$public.remarks <- gsub(" mlding "," molding ",raw$public.remarks)
raw$public.remarks <- gsub(" mldng "," molding ",raw$public.remarks)
raw$public.remarks <- gsub(" mntnd "," maintained ",raw$public.remarks)
raw$public.remarks <- gsub(" models "," model ",raw$public.remarks)
raw$public.remarks <- gsub(" moldings "," molding ",raw$public.remarks)
raw$public.remarks <- gsub(" monthly "," month ",raw$public.remarks)
raw$public.remarks <- gsub(" months "," month ",raw$public.remarks)
raw$public.remarks <- gsub(" mortg "," mortgage ",raw$public.remarks)
raw$public.remarks <- gsub(" motherinlaw "," mother inlaw ",raw$public.remarks)
raw$public.remarks <- gsub(" moulding "," molding ",raw$public.remarks)
raw$public.remarks <- gsub(" mouldings "," molding ",raw$public.remarks)
raw$public.remarks <- gsub(" mountains "," mountain ",raw$public.remarks)
raw$public.remarks <- gsub(" moveinready "," movein ready ",raw$public.remarks)
raw$public.remarks <- gsub(" mrbl "," marble ",raw$public.remarks)
raw$public.remarks <- gsub(" mrble "," marble ",raw$public.remarks)
raw$public.remarks <- gsub(" mrkt "," market ",raw$public.remarks)
raw$public.remarks <- gsub(" mrtg "," mortgage ",raw$public.remarks)
raw$public.remarks <- gsub(" mrtge "," mortgage ",raw$public.remarks)
raw$public.remarks <- gsub(" msg "," message ",raw$public.remarks)
raw$public.remarks <- gsub(" mside "," morningside ",raw$public.remarks)
raw$public.remarks <- gsub(" mst "," master ",raw$public.remarks)
raw$public.remarks <- gsub(" mster "," master ",raw$public.remarks)
raw$public.remarks <- gsub(" mstr "," master ",raw$public.remarks)
raw$public.remarks <- gsub(" mstrs "," master ",raw$public.remarks)
raw$public.remarks <- gsub(" mtg "," mortgage ",raw$public.remarks)
raw$public.remarks <- gsub(" mtge "," mortgage ",raw$public.remarks)
raw$public.remarks <- gsub(" mtn "," mountain ",raw$public.remarks)
raw$public.remarks <- gsub(" mudroom "," mud room ",raw$public.remarks)
raw$public.remarks <- gsub(" multi "," multiple ",raw$public.remarks)
raw$public.remarks <- gsub(" multilevel "," multiple level ",raw$public.remarks)
raw$public.remarks <- gsub(" mustsee "," must see ",raw$public.remarks)
raw$public.remarks <- gsub(" natl "," national ",raw$public.remarks)
raw$public.remarks <- gsub(" nbhd "," neighborhood ",raw$public.remarks)
raw$public.remarks <- gsub(" nbhood "," neighborhood ",raw$public.remarks)
raw$public.remarks <- gsub(" nborhood "," neighborhood ",raw$public.remarks)
raw$public.remarks <- gsub(" nbrhd "," neighborhood ",raw$public.remarks)
raw$public.remarks <- gsub(" nbrhood "," neighborhood ",raw$public.remarks)
raw$public.remarks <- gsub(" nearby "," near ",raw$public.remarks)
raw$public.remarks <- gsub(" needed "," need ",raw$public.remarks)
raw$public.remarks <- gsub(" needing "," need ",raw$public.remarks)
raw$public.remarks <- gsub(" needs "," need ",raw$public.remarks)
raw$public.remarks <- gsub(" negotiated "," negotiable ",raw$public.remarks)
raw$public.remarks <- gsub(" neigborhood "," neighborhood ",raw$public.remarks)
raw$public.remarks <- gsub(" neigh "," neighborhood ",raw$public.remarks)
raw$public.remarks <- gsub(" neighborhd "," neighborhood ",raw$public.remarks)
raw$public.remarks <- gsub(" neighborhoods "," neighborhood ",raw$public.remarks)
raw$public.remarks <- gsub(" neighbors "," neighbor ",raw$public.remarks)
raw$public.remarks <- gsub(" neighbrhd "," neighborhood ",raw$public.remarks)
raw$public.remarks <- gsub(" nesters "," nester ",raw$public.remarks)
raw$public.remarks <- gsub(" neut "," neutral ",raw$public.remarks)
raw$public.remarks <- gsub(" newer "," new ",raw$public.remarks)
raw$public.remarks <- gsub(" newest "," new ",raw$public.remarks)
raw$public.remarks <- gsub(" newly "," new ",raw$public.remarks)
raw$public.remarks <- gsub(" nghbrhd "," neighborhood ",raw$public.remarks)
raw$public.remarks <- gsub(" nhd "," neighborhood ",raw$public.remarks)
raw$public.remarks <- gsub(" nhood "," neighborhood ",raw$public.remarks)
raw$public.remarks <- gsub(" nicely "," nice ",raw$public.remarks)
raw$public.remarks <- gsub(" nicesized "," nice sized ",raw$public.remarks)
raw$public.remarks <- gsub(" nicest "," nice ",raw$public.remarks)
raw$public.remarks <- gsub(" niches "," niche ",raw$public.remarks)
raw$public.remarks <- gsub(" notice "," notices ",raw$public.remarks)
raw$public.remarks <- gsub(" nuetral "," neutral ",raw$public.remarks)
raw$public.remarks <- gsub(" oaks "," oak ",raw$public.remarks)
raw$public.remarks <- gsub(" obtaining "," obtain ",raw$public.remarks)
raw$public.remarks <- gsub(" occup "," occupied ",raw$public.remarks)
raw$public.remarks <- gsub(" occupants "," occupant ",raw$public.remarks)
raw$public.remarks <- gsub(" octagon "," octagonal ",raw$public.remarks)
raw$public.remarks <- gsub(" ofc "," office ",raw$public.remarks)
raw$public.remarks <- gsub(" ofer "," offer ",raw$public.remarks)
raw$public.remarks <- gsub(" offc "," office ",raw$public.remarks)
raw$public.remarks <- gsub(" offered "," offer ",raw$public.remarks)
raw$public.remarks <- gsub(" offering "," offer ",raw$public.remarks)
raw$public.remarks <- gsub(" offerno "," offer no ",raw$public.remarks)
raw$public.remarks <- gsub(" offers "," offer ",raw$public.remarks)
raw$public.remarks <- gsub(" offices "," office ",raw$public.remarks)
raw$public.remarks <- gsub(" offrs "," offers ",raw$public.remarks)
raw$public.remarks <- gsub(" offstreet "," off street ",raw$public.remarks)
raw$public.remarks <- gsub(" ofr "," offer ",raw$public.remarks)
raw$public.remarks <- gsub(" ofrs "," offer ",raw$public.remarks)
raw$public.remarks <- gsub(" older "," old ",raw$public.remarks)
raw$public.remarks <- gsub(" olooking "," overlook ",raw$public.remarks)
raw$public.remarks <- gsub(" olooks "," overlook ",raw$public.remarks)
raw$public.remarks <- gsub(" onelevel "," one level ",raw$public.remarks)
raw$public.remarks <- gsub(" oneowner "," one owner ",raw$public.remarks)
raw$public.remarks <- gsub(" ones "," one ",raw$public.remarks)
raw$public.remarks <- gsub(" onlyno "," only no ",raw$public.remarks)
raw$public.remarks <- gsub(" opened "," open ",raw$public.remarks)
raw$public.remarks <- gsub(" opener "," open ",raw$public.remarks)
raw$public.remarks <- gsub(" openers "," open ",raw$public.remarks)
raw$public.remarks <- gsub(" opening "," open ",raw$public.remarks)
raw$public.remarks <- gsub(" openings "," open ",raw$public.remarks)
raw$public.remarks <- gsub(" opens "," open ",raw$public.remarks)
raw$public.remarks <- gsub(" opn "," open ",raw$public.remarks)
raw$public.remarks <- gsub(" opns "," open ",raw$public.remarks)
raw$public.remarks <- gsub(" oppertunity "," opportunity ",raw$public.remarks)
raw$public.remarks <- gsub(" opportunities "," opportunity ",raw$public.remarks)
raw$public.remarks <- gsub(" opportunity "," opportunity ",raw$public.remarks)
raw$public.remarks <- gsub(" oppt "," opportunity ",raw$public.remarks)
raw$public.remarks <- gsub(" oppty "," opportunity ",raw$public.remarks)
raw$public.remarks <- gsub(" oppurtunity "," opportunity ",raw$public.remarks)
raw$public.remarks <- gsub(" options "," option ",raw$public.remarks)
raw$public.remarks <- gsub(" orig "," original ",raw$public.remarks)
raw$public.remarks <- gsub(" originally "," original ",raw$public.remarks)
raw$public.remarks <- gsub(" osized "," oversized ",raw$public.remarks)
raw$public.remarks <- gsub(" outbldg "," out building ",raw$public.remarks)
raw$public.remarks <- gsub(" outbldgs "," out building ",raw$public.remarks)
raw$public.remarks <- gsub(" outbuilding "," out building ",raw$public.remarks)
raw$public.remarks <- gsub(" outbuildings "," out building ",raw$public.remarks)
raw$public.remarks <- gsub(" outdoors "," outdoor ",raw$public.remarks)
raw$public.remarks <- gsub(" outdr "," outdoor ",raw$public.remarks)
raw$public.remarks <- gsub(" outnew "," out new ",raw$public.remarks)
raw$public.remarks <- gsub(" ovengarage "," oven garage ",raw$public.remarks)
raw$public.remarks <- gsub(" ovens "," oven garage ",raw$public.remarks)
raw$public.remarks <- gsub(" overlking "," overlook ",raw$public.remarks)
raw$public.remarks <- gsub(" overlks "," overlook ",raw$public.remarks)
raw$public.remarks <- gsub(" overlooked "," overlook ",raw$public.remarks)
raw$public.remarks <- gsub(" overlooking "," overlook ",raw$public.remarks)
raw$public.remarks <- gsub(" overlooks "," overlook ",raw$public.remarks)
raw$public.remarks <- gsub(" oversize "," oversized ",raw$public.remarks)
raw$public.remarks <- gsub(" oversz "," oversized ",raw$public.remarks)
raw$public.remarks <- gsub(" overszd "," oversized ",raw$public.remarks)
raw$public.remarks <- gsub(" ovrlk "," overlook ",raw$public.remarks)
raw$public.remarks <- gsub(" ovrlking "," overlook ",raw$public.remarks)
raw$public.remarks <- gsub(" ovrlkng "," overlook ",raw$public.remarks)
raw$public.remarks <- gsub(" ovrlks "," overlook ",raw$public.remarks)
raw$public.remarks <- gsub(" ovrsz "," oversized ",raw$public.remarks)
raw$public.remarks <- gsub(" ovrszd "," oversized ",raw$public.remarks)
raw$public.remarks <- gsub(" ownedsold "," owned sold ",raw$public.remarks)
raw$public.remarks <- gsub(" owners "," owner ",raw$public.remarks)
raw$public.remarks <- gsub(" ownr "," owner ",raw$public.remarks)
raw$public.remarks <- gsub(" paintnew "," paint new ",raw$public.remarks)
raw$public.remarks <- gsub(" paints "," paint ",raw$public.remarks)
raw$public.remarks <- gsub(" paladium "," palladium ",raw$public.remarks)
raw$public.remarks <- gsub(" paned "," pane ",raw$public.remarks)
raw$public.remarks <- gsub(" panel "," paneling ",raw$public.remarks)
raw$public.remarks <- gsub(" panelled "," paneled ",raw$public.remarks)
raw$public.remarks <- gsub(" panelling "," paneling ",raw$public.remarks)
raw$public.remarks <- gsub(" pantries "," pantry ",raw$public.remarks)
raw$public.remarks <- gsub(" pantrys "," pantry ",raw$public.remarks)
raw$public.remarks <- gsub(" partially "," partial ",raw$public.remarks)
raw$public.remarks <- gsub(" parties "," party ",raw$public.remarks)
raw$public.remarks <- gsub(" paths "," path ",raw$public.remarks)
raw$public.remarks <- gsub(" patios "," patio ",raw$public.remarks)
raw$public.remarks <- gsub(" payments "," payment ",raw$public.remarks)
raw$public.remarks <- gsub(" pch "," porch ",raw$public.remarks)
raw$public.remarks <- gsub(" pd "," paid ",raw$public.remarks)
raw$public.remarks <- gsub(" perf "," perfect ",raw$public.remarks)
raw$public.remarks <- gsub(" perfection "," perfect ",raw$public.remarks)
raw$public.remarks <- gsub(" perfectly "," perfect ",raw$public.remarks)
raw$public.remarks <- gsub(" photo "," photos ",raw$public.remarks)
raw$public.remarks <- gsub(" pickest "," picky ",raw$public.remarks)
raw$public.remarks <- gsub(" pickiest "," picky ",raw$public.remarks)
raw$public.remarks <- gsub(" pics "," picture ",raw$public.remarks)
raw$public.remarks <- gsub(" pictures "," picture ",raw$public.remarks)
raw$public.remarks <- gsub(" pk "," park ",raw$public.remarks)
raw$public.remarks <- gsub(" pkg "," parking ",raw$public.remarks)
raw$public.remarks <- gsub(" pkgs "," parking ",raw$public.remarks)
raw$public.remarks <- gsub(" pkwy "," parkway ",raw$public.remarks)
raw$public.remarks <- gsub(" placed "," place ",raw$public.remarks)
raw$public.remarks <- gsub(" places "," place ",raw$public.remarks)
raw$public.remarks <- gsub(" plan2 "," plan ",raw$public.remarks)
raw$public.remarks <- gsub(" plangreat "," plan great ",raw$public.remarks)
raw$public.remarks <- gsub(" planhuge "," plan huge ",raw$public.remarks)
raw$public.remarks <- gsub(" planlarge "," plan large ",raw$public.remarks)
raw$public.remarks <- gsub(" planned "," plan ",raw$public.remarks)
raw$public.remarks <- gsub(" planning "," plan ",raw$public.remarks)
raw$public.remarks <- gsub(" plans "," plan ",raw$public.remarks)
raw$public.remarks <- gsub(" plants "," plant ",raw$public.remarks)
raw$public.remarks <- gsub(" playgrounds "," playground ",raw$public.remarks)
raw$public.remarks <- gsub(" playrm "," play room ",raw$public.remarks)
raw$public.remarks <- gsub(" playroom "," play room ",raw$public.remarks)
raw$public.remarks <- gsub(" plc "," place ",raw$public.remarks)
raw$public.remarks <- gsub(" pleaseprice "," please price ",raw$public.remarks)
raw$public.remarks <- gsub(" pln "," plan ",raw$public.remarks)
raw$public.remarks <- gsub(" plumb "," plumbing ",raw$public.remarks)
raw$public.remarks <- gsub(" plumbed "," plumbing ",raw$public.remarks)
raw$public.remarks <- gsub(" plz "," please ",raw$public.remarks)
raw$public.remarks <- gsub(" pntry "," pantry ",raw$public.remarks)
raw$public.remarks <- gsub(" points "," point ",raw$public.remarks)
raw$public.remarks <- gsub(" ponds "," pond ",raw$public.remarks)
raw$public.remarks <- gsub(" pools "," pool ",raw$public.remarks)
raw$public.remarks <- gsub(" porches "," porch ",raw$public.remarks)
raw$public.remarks <- gsub(" possibilities "," possible ",raw$public.remarks)
raw$public.remarks <- gsub(" possibly "," possible ",raw$public.remarks)
raw$public.remarks <- gsub(" postclosing "," post closing ",raw$public.remarks)
raw$public.remarks <- gsub(" powderroom "," powder room ",raw$public.remarks)
raw$public.remarks <- gsub(" prch "," porch ",raw$public.remarks)
raw$public.remarks <- gsub(" preapp "," preapproval ",raw$public.remarks)
raw$public.remarks <- gsub(" preappr "," preapproval ",raw$public.remarks)
raw$public.remarks <- gsub(" preapprov "," preapproval ",raw$public.remarks)
raw$public.remarks <- gsub(" preapprvl "," preapproval ",raw$public.remarks)
raw$public.remarks <- gsub(" preaprvl "," preapproval ",raw$public.remarks)
raw$public.remarks <- gsub(" pref "," preferred ",raw$public.remarks)
raw$public.remarks <- gsub(" preforclosure "," preforeclosure ",raw$public.remarks)
raw$public.remarks <- gsub(" premiere "," premier ",raw$public.remarks)
raw$public.remarks <- gsub(" preql "," prequalified ",raw$public.remarks)
raw$public.remarks <- gsub(" prequa "," prequalified ",raw$public.remarks)
raw$public.remarks <- gsub(" prequalif "," prequalified ",raw$public.remarks)
raw$public.remarks <- gsub(" prequalification "," prequalified ",raw$public.remarks)
raw$public.remarks <- gsub(" prequalify "," prequalified ",raw$public.remarks)
raw$public.remarks <- gsub(" prequl "," prequalified ",raw$public.remarks)
raw$public.remarks <- gsub(" presents "," present ",raw$public.remarks)
raw$public.remarks <- gsub(" prestige "," prestigious ",raw$public.remarks)
raw$public.remarks <- gsub(" prestigeous "," prestigious ",raw$public.remarks)
raw$public.remarks <- gsub(" prestigous "," prestigious ",raw$public.remarks)
raw$public.remarks <- gsub(" prestine "," pristine ",raw$public.remarks)
raw$public.remarks <- gsub(" prettiest "," pretty ",raw$public.remarks)
raw$public.remarks <- gsub(" previously "," previous ",raw$public.remarks)
raw$public.remarks <- gsub(" prewire "," prewired ",raw$public.remarks)
raw$public.remarks <- gsub(" prfrd "," preferred ",raw$public.remarks)
raw$public.remarks <- gsub(" priced "," price ",raw$public.remarks)
raw$public.remarks <- gsub(" prices "," price ",raw$public.remarks)
raw$public.remarks <- gsub(" pricing "," price ",raw$public.remarks)
raw$public.remarks <- gsub(" printed "," print ",raw$public.remarks)
raw$public.remarks <- gsub(" privacy "," private ",raw$public.remarks)
raw$public.remarks <- gsub(" privat "," private ",raw$public.remarks)
raw$public.remarks <- gsub(" privated "," private ",raw$public.remarks)
raw$public.remarks <- gsub(" privately "," private ",raw$public.remarks)
raw$public.remarks <- gsub(" proeprty "," property ",raw$public.remarks)
raw$public.remarks <- gsub(" prof "," professional ",raw$public.remarks)
raw$public.remarks <- gsub(" profess "," professional ",raw$public.remarks)
raw$public.remarks <- gsub(" professionally "," professional ",raw$public.remarks)
raw$public.remarks <- gsub(" programs "," program ",raw$public.remarks)
raw$public.remarks <- gsub(" promo "," promotion ",raw$public.remarks)
raw$public.remarks <- gsub(" proof of funds "," pof ",raw$public.remarks)
raw$public.remarks <- gsub(" prop "," property ",raw$public.remarks)
raw$public.remarks <- gsub(" propert "," property ",raw$public.remarks)
raw$public.remarks <- gsub(" properties "," property ",raw$public.remarks)
raw$public.remarks <- gsub(" propertysold "," property sold ",raw$public.remarks)
raw$public.remarks <- gsub(" provided "," provide ",raw$public.remarks)
raw$public.remarks <- gsub(" provides "," provide ",raw$public.remarks)
raw$public.remarks <- gsub(" providing "," provide ",raw$public.remarks)
raw$public.remarks <- gsub(" prpty "," property ",raw$public.remarks)
raw$public.remarks <- gsub(" prql "," prequalified ",raw$public.remarks)
raw$public.remarks <- gsub(" prvcy "," private ",raw$public.remarks)
raw$public.remarks <- gsub(" prvte "," private ",raw$public.remarks)
raw$public.remarks <- gsub(" pt "," point ",raw$public.remarks)
raw$public.remarks <- gsub(" ptree "," peachtree ",raw$public.remarks)
raw$public.remarks <- gsub(" pts "," point ",raw$public.remarks)
raw$public.remarks <- gsub(" purch "," purchase ",raw$public.remarks)
raw$public.remarks <- gsub(" purchased "," purchase ",raw$public.remarks)
raw$public.remarks <- gsub(" purchaser "," purchase ",raw$public.remarks)
raw$public.remarks <- gsub(" purchasing "," purchase ",raw$public.remarks)
raw$public.remarks <- gsub(" putting "," put ",raw$public.remarks)
raw$public.remarks <- gsub(" pwdr "," powder ",raw$public.remarks)
raw$public.remarks <- gsub(" pymt "," payment ",raw$public.remarks)
raw$public.remarks <- gsub(" qual "," qualified ",raw$public.remarks)
raw$public.remarks <- gsub(" qualification "," qualified ",raw$public.remarks)
raw$public.remarks <- gsub(" qualifies "," qualified ",raw$public.remarks)
raw$public.remarks <- gsub(" qualify "," qualified ",raw$public.remarks)
raw$public.remarks <- gsub(" quickly "," quick ",raw$public.remarks)
raw$public.remarks <- gsub(" railings "," railing ",raw$public.remarks)
raw$public.remarks <- gsub(" rails "," rail ",raw$public.remarks)
raw$public.remarks <- gsub(" raise "," raised ",raw$public.remarks)
raw$public.remarks <- gsub(" ranches "," ranch ",raw$public.remarks)
raw$public.remarks <- gsub(" ranchgreat "," ranch great ",raw$public.remarks)
raw$public.remarks <- gsub(" ranchnew "," ranch new ",raw$public.remarks)
raw$public.remarks <- gsub(" ranchstyle "," ranch style ",raw$public.remarks)
raw$public.remarks <- gsub(" rarely "," rare ",raw$public.remarks)
raw$public.remarks <- gsub(" rated "," rate ",raw$public.remarks)
raw$public.remarks <- gsub(" rates "," rate ",raw$public.remarks)
raw$public.remarks <- gsub(" rebuild "," rebuilt ",raw$public.remarks)
raw$public.remarks <- gsub(" rec "," recreation ",raw$public.remarks)
raw$public.remarks <- gsub(" received "," receive ",raw$public.remarks)
raw$public.remarks <- gsub(" receives "," receive ",raw$public.remarks)
raw$public.remarks <- gsub(" recently "," recent ",raw$public.remarks)
raw$public.remarks <- gsub(" recess "," recessed ",raw$public.remarks)
raw$public.remarks <- gsub(" records "," record ",raw$public.remarks)
raw$public.remarks <- gsub(" recreational "," recreation ",raw$public.remarks)
raw$public.remarks <- gsub(" recrm "," recreation room ",raw$public.remarks)
raw$public.remarks <- gsub(" recroom "," recreation room ",raw$public.remarks)
raw$public.remarks <- gsub(" redo "," redone ",raw$public.remarks)
raw$public.remarks <- gsub(" reduce "," reduced ",raw$public.remarks)
raw$public.remarks <- gsub(" reduction "," reduced ",raw$public.remarks)
raw$public.remarks <- gsub(" refin "," refinished ",raw$public.remarks)
raw$public.remarks <- gsub(" reflects "," reflect ",raw$public.remarks)
raw$public.remarks <- gsub(" refridgerator "," refrigerator ",raw$public.remarks)
raw$public.remarks <- gsub(" refrig "," refrigerator ",raw$public.remarks)
raw$public.remarks <- gsub(" refrigerators "," refrigerator ",raw$public.remarks)
raw$public.remarks <- gsub(" rehabed "," rehabbed ",raw$public.remarks)
raw$public.remarks <- gsub(" relaible "," reliable ",raw$public.remarks)
raw$public.remarks <- gsub(" relo "," relocation ",raw$public.remarks)
raw$public.remarks <- gsub(" relocated "," relocation ",raw$public.remarks)
raw$public.remarks <- gsub(" relocating "," relocation ",raw$public.remarks)
raw$public.remarks <- gsub(" remaining "," remain ",raw$public.remarks)
raw$public.remarks <- gsub(" remains "," remain ",raw$public.remarks)
raw$public.remarks <- gsub(" remod "," remodeled ",raw$public.remarks)
raw$public.remarks <- gsub(" remodel "," remodeled ",raw$public.remarks)
raw$public.remarks <- gsub(" remodled "," remodeled ",raw$public.remarks)
raw$public.remarks <- gsub(" remolded "," remodeled ",raw$public.remarks)
raw$public.remarks <- gsub(" remotes "," remote ",raw$public.remarks)
raw$public.remarks <- gsub(" remove "," removed ",raw$public.remarks)
raw$public.remarks <- gsub(" ren ovated "," renovated ",raw$public.remarks)
raw$public.remarks <- gsub(" ren ovator "," renovator ",raw$public.remarks)
raw$public.remarks <- gsub(" reno vated "," renovated ",raw$public.remarks)
raw$public.remarks <- gsub(" reno vator "," renovator ",raw$public.remarks)
raw$public.remarks <- gsub(" reno "," renovation ",raw$public.remarks)
raw$public.remarks <- gsub(" renov "," renovation ",raw$public.remarks)
raw$public.remarks <- gsub(" renovatednew "," renovated new ",raw$public.remarks)
raw$public.remarks <- gsub(" renovation "," renovation ",raw$public.remarks)
raw$public.remarks <- gsub(" renovations "," renovation ",raw$public.remarks)
raw$public.remarks <- gsub(" renovators "," renovator ",raw$public.remarks)
raw$public.remarks <- gsub(" rent "," rent ",raw$public.remarks)
raw$public.remarks <- gsub(" rental "," rent ",raw$public.remarks)
raw$public.remarks <- gsub(" rented "," rent ",raw$public.remarks)
raw$public.remarks <- gsub(" renting "," rent ",raw$public.remarks)
raw$public.remarks <- gsub(" rents "," rent ",raw$public.remarks)
raw$public.remarks <- gsub(" renv "," renovation ",raw$public.remarks)
raw$public.remarks <- gsub(" repairs "," repair ",raw$public.remarks)
raw$public.remarks <- gsub(" req "," required ",raw$public.remarks)
raw$public.remarks <- gsub(" reqd "," required ",raw$public.remarks)
raw$public.remarks <- gsub(" reqrd "," required ",raw$public.remarks)
raw$public.remarks <- gsub(" requests "," request ",raw$public.remarks)
raw$public.remarks <- gsub(" requires "," require ",raw$public.remarks)
raw$public.remarks <- gsub(" resell "," resale ",raw$public.remarks)
raw$public.remarks <- gsub(" restaurant "," restaurants ",raw$public.remarks)
raw$public.remarks <- gsub(" restr "," restore ",raw$public.remarks)
raw$public.remarks <- gsub(" richly "," rich ",raw$public.remarks)
raw$public.remarks <- gsub(" rmformal "," room formal ",raw$public.remarks)
raw$public.remarks <- gsub(" rmfull "," room full ",raw$public.remarks)
raw$public.remarks <- gsub(" rmgreat "," room great ",raw$public.remarks)
raw$public.remarks <- gsub(" rmhuge "," room huge ",raw$public.remarks)
raw$public.remarks <- gsub(" rmkit "," room kitchen ",raw$public.remarks)
raw$public.remarks <- gsub(" rmlarge "," room large ",raw$public.remarks)
raw$public.remarks <- gsub(" rmlg "," room large ",raw$public.remarks)
raw$public.remarks <- gsub(" rmlrg "," room large ",raw$public.remarks)
raw$public.remarks <- gsub(" rmmstr "," room master ",raw$public.remarks)
raw$public.remarks <- gsub(" rmnew "," room new ",raw$public.remarks)
raw$public.remarks <- gsub(" rmsep "," room separate ",raw$public.remarks)
raw$public.remarks <- gsub(" rmspacious "," room spacious ",raw$public.remarks)
raw$public.remarks <- gsub(" rnch "," ranch ",raw$public.remarks)
raw$public.remarks <- gsub(" roads "," road ",raw$public.remarks)
raw$public.remarks <- gsub(" rockin "," rocking ",raw$public.remarks)
raw$public.remarks <- gsub(" rockingchair "," rocking chair ",raw$public.remarks)
raw$public.remarks <- gsub(" roofnew "," roof new ",raw$public.remarks)
raw$public.remarks <- gsub(" roomate "," roommate ",raw$public.remarks)
raw$public.remarks <- gsub(" roomformal "," room formal ",raw$public.remarks)
raw$public.remarks <- gsub(" roomlarge "," room large ",raw$public.remarks)
raw$public.remarks <- gsub(" roommates "," roommate ",raw$public.remarks)
raw$public.remarks <- gsub(" roswells "," roswell ",raw$public.remarks)
raw$public.remarks <- gsub(" rqrd "," required ",raw$public.remarks)
raw$public.remarks <- gsub(" rstrctns "," restrictions ",raw$public.remarks)
raw$public.remarks <- gsub(" sales "," sale ",raw$public.remarks)
raw$public.remarks <- gsub(" saltwater "," salt water ",raw$public.remarks)
raw$public.remarks <- gsub(" savy "," savvy ",raw$public.remarks)
raw$public.remarks <- gsub(" schl "," school ",raw$public.remarks)
raw$public.remarks <- gsub(" schls "," school ",raw$public.remarks)
raw$public.remarks <- gsub(" schools "," school ",raw$public.remarks)
raw$public.remarks <- gsub(" screend "," screened ",raw$public.remarks)
raw$public.remarks <- gsub(" screenedin "," screened in ",raw$public.remarks)
raw$public.remarks <- gsub(" scrn "," screen ",raw$public.remarks)
raw$public.remarks <- gsub(" scrnd "," screened ",raw$public.remarks)
raw$public.remarks <- gsub(" scrned "," screened ",raw$public.remarks)
raw$public.remarks <- gsub(" seats "," seat ",raw$public.remarks)
raw$public.remarks <- gsub(" sec "," security ",raw$public.remarks)
raw$public.remarks <- gsub(" secondaries "," secondary ",raw$public.remarks)
raw$public.remarks <- gsub(" seethru "," see through ",raw$public.remarks)
raw$public.remarks <- gsub(" selcts "," selects ",raw$public.remarks)
raw$public.remarks <- gsub(" selfclean "," self clean ",raw$public.remarks)
raw$public.remarks <- gsub(" seling "," selling ",raw$public.remarks)
raw$public.remarks <- gsub(" sellin "," selling ",raw$public.remarks)
raw$public.remarks <- gsub(" sellr "," seller ",raw$public.remarks)
raw$public.remarks <- gsub(" sells "," sell ",raw$public.remarks)
raw$public.remarks <- gsub(" separ "," separate ",raw$public.remarks)
raw$public.remarks <- gsub(" separat "," separate ",raw$public.remarks)
raw$public.remarks <- gsub(" separated "," separate ",raw$public.remarks)
raw$public.remarks <- gsub(" separates "," separate ",raw$public.remarks)
raw$public.remarks <- gsub(" separte "," separate ",raw$public.remarks)
raw$public.remarks <- gsub(" seperate "," separate ",raw$public.remarks)
raw$public.remarks <- gsub(" seprate "," separate ",raw$public.remarks)
raw$public.remarks <- gsub(" sheds "," shed ",raw$public.remarks)
raw$public.remarks <- gsub(" sheetrocked "," sheetrock ",raw$public.remarks)
raw$public.remarks <- gsub(" shelf "," shelves ",raw$public.remarks)
raw$public.remarks <- gsub(" shelving "," shelves ",raw$public.remarks)
raw$public.remarks <- gsub(" shines "," shine ",raw$public.remarks)
raw$public.remarks <- gsub(" shingles "," shingle ",raw$public.remarks)
raw$public.remarks <- gsub(" shinglesmicrowaveselfclean "," shingles microwave self clean ",raw$public.remarks)
raw$public.remarks <- gsub(" shop "," shopping ",raw$public.remarks)
raw$public.remarks <- gsub(" shopper "," shopping ",raw$public.remarks)
raw$public.remarks <- gsub(" shops "," shopping ",raw$public.remarks)
raw$public.remarks <- gsub(" shortsale "," short sale ",raw$public.remarks)
raw$public.remarks <- gsub(" showcases "," showcase ",raw$public.remarks)
raw$public.remarks <- gsub(" showers "," shower ",raw$public.remarks)
raw$public.remarks <- gsub(" showings "," showing ",raw$public.remarks)
raw$public.remarks <- gsub(" sideentry "," side entry ",raw$public.remarks)
raw$public.remarks <- gsub(" sidewalks "," sidewalk ",raw$public.remarks)
raw$public.remarks <- gsub(" singles "," single ",raw$public.remarks)
raw$public.remarks <- gsub(" sinks "," sink ",raw$public.remarks)
raw$public.remarks <- gsub(" sites "," site ",raw$public.remarks)
raw$public.remarks <- gsub(" sitng "," sitting ",raw$public.remarks)
raw$public.remarks <- gsub(" sitrm "," sitting room ",raw$public.remarks)
raw$public.remarks <- gsub(" sittingroom "," sitting room ",raw$public.remarks)
raw$public.remarks <- gsub(" sittng "," sitting ",raw$public.remarks)
raw$public.remarks <- gsub(" sizes "," size ",raw$public.remarks)
raw$public.remarks <- gsub(" skylights "," skylight ",raw$public.remarks)
raw$public.remarks <- gsub(" skylites "," skylight ",raw$public.remarks)
raw$public.remarks <- gsub(" sllr "," seller ",raw$public.remarks)
raw$public.remarks <- gsub(" sllrs "," seller ",raw$public.remarks)
raw$public.remarks <- gsub(" sloping "," sloped ",raw$public.remarks)
raw$public.remarks <- gsub(" slr "," seller ",raw$public.remarks)
raw$public.remarks <- gsub(" sm "," small ",raw$public.remarks)
raw$public.remarks <- gsub(" smaller "," small ",raw$public.remarks)
raw$public.remarks <- gsub(" smartsell "," smart sell ",raw$public.remarks)
raw$public.remarks <- gsub(" snrm "," sun room ",raw$public.remarks)
raw$public.remarks <- gsub(" soldas "," sold as ",raw$public.remarks)
raw$public.remarks <- gsub(" soldasis "," sold as is ",raw$public.remarks)
raw$public.remarks <- gsub(" solidly "," solid ",raw$public.remarks)
raw$public.remarks <- gsub(" sophistication "," sophisticated ",raw$public.remarks)
raw$public.remarks <- gsub(" soughtafter "," sought after ",raw$public.remarks)
raw$public.remarks <- gsub(" spac "," spacious ",raw$public.remarks)
raw$public.remarks <- gsub(" spaces "," space ",raw$public.remarks)
raw$public.remarks <- gsub(" spalike "," spa like ",raw$public.remarks)
raw$public.remarks <- gsub(" sparkle "," sparkling ",raw$public.remarks)
raw$public.remarks <- gsub(" sparkles "," sparkling ",raw$public.remarks)
raw$public.remarks <- gsub(" spec "," special ",raw$public.remarks)
raw$public.remarks <- gsub(" splitfoyer "," split foyer ",raw$public.remarks)
raw$public.remarks <- gsub(" splitlevel "," split level ",raw$public.remarks)
raw$public.remarks <- gsub(" splitlvl "," split level ",raw$public.remarks)
raw$public.remarks <- gsub(" splt "," split ",raw$public.remarks)
raw$public.remarks <- gsub(" sprinklers "," sprinkler ",raw$public.remarks)
raw$public.remarks <- gsub(" sprnklr "," sprinkler ",raw$public.remarks)
raw$public.remarks <- gsub(" sqft "," square foot ",raw$public.remarks)
raw$public.remarks <- gsub(" stainles "," stainless ",raw$public.remarks)
raw$public.remarks <- gsub(" stair "," stairs ",raw$public.remarks)
raw$public.remarks <- gsub(" staircases "," staircase ",raw$public.remarks)
raw$public.remarks <- gsub(" statements "," statement ",raw$public.remarks)
raw$public.remarks <- gsub(" stateoftheart "," state of the art ",raw$public.remarks)
raw$public.remarks <- gsub(" stckd "," stacked ",raw$public.remarks)
raw$public.remarks <- gsub(" stdy "," study ",raw$public.remarks)
raw$public.remarks <- gsub(" stepdown "," step down ",raw$public.remarks)
raw$public.remarks <- gsub(" stg "," sitting ",raw$public.remarks)
raw$public.remarks <- gsub(" stmnt "," statement ",raw$public.remarks)
raw$public.remarks <- gsub(" stmt "," statement ",raw$public.remarks)
raw$public.remarks <- gsub(" stmts "," statement ",raw$public.remarks)
raw$public.remarks <- gsub(" stnless "," stainless ",raw$public.remarks)
raw$public.remarks <- gsub(" stnls "," stainless ",raw$public.remarks)
raw$public.remarks <- gsub(" stnlss "," stainless ",raw$public.remarks)
raw$public.remarks <- gsub(" storey "," story ",raw$public.remarks)
raw$public.remarks <- gsub(" strcase "," staircase ",raw$public.remarks)
raw$public.remarks <- gsub(" streets "," street ",raw$public.remarks)
raw$public.remarks <- gsub(" strickly "," strictly ",raw$public.remarks)
raw$public.remarks <- gsub(" stub "," stubbed ",raw$public.remarks)
raw$public.remarks <- gsub(" styled "," style ",raw$public.remarks)
raw$public.remarks <- gsub(" styling "," style ",raw$public.remarks)
raw$public.remarks <- gsub(" subd "," subdivision ",raw$public.remarks)
raw$public.remarks <- gsub(" subdiv "," subdivision ",raw$public.remarks)
raw$public.remarks <- gsub(" subdivison "," subdivision ",raw$public.remarks)
raw$public.remarks <- gsub(" subdv "," subdivision ",raw$public.remarks)
raw$public.remarks <- gsub(" suites "," suite ",raw$public.remarks)
raw$public.remarks <- gsub(" sun "," sun light ",raw$public.remarks)
raw$public.remarks <- gsub(" sundeck "," sun deck ",raw$public.remarks)
raw$public.remarks <- gsub(" sundrenched "," sun drenched ",raw$public.remarks)
raw$public.remarks <- gsub(" sunfilled "," sun filled ",raw$public.remarks)
raw$public.remarks <- gsub(" sunflooded "," sun flooded ",raw$public.remarks)
raw$public.remarks <- gsub(" sunlight "," sun light ",raw$public.remarks)
raw$public.remarks <- gsub(" sunlit "," sun light ",raw$public.remarks)
raw$public.remarks <- gsub(" sunny "," sun light ",raw$public.remarks)
raw$public.remarks <- gsub(" sunporch "," sun porch ",raw$public.remarks)
raw$public.remarks <- gsub(" sunrm "," sun room ",raw$public.remarks)
raw$public.remarks <- gsub(" sunroom "," sun room ",raw$public.remarks)
raw$public.remarks <- gsub(" sunset "," sun set ",raw$public.remarks)
raw$public.remarks <- gsub(" sunshine "," sun shine ",raw$public.remarks)
raw$public.remarks <- gsub(" superbly "," superb ",raw$public.remarks)
raw$public.remarks <- gsub(" surrounded "," surround ",raw$public.remarks)
raw$public.remarks <- gsub(" surrounding "," surround ",raw$public.remarks)
raw$public.remarks <- gsub(" surrounds "," surround ",raw$public.remarks)
raw$public.remarks <- gsub(" swimming "," swim ",raw$public.remarks)
raw$public.remarks <- gsub(" swimtennis "," swim tennis ",raw$public.remarks)
raw$public.remarks <- gsub(" sys "," system ",raw$public.remarks)
raw$public.remarks <- gsub(" syst "," system ",raw$public.remarks)
raw$public.remarks <- gsub(" systems "," system ",raw$public.remarks)
raw$public.remarks <- gsub(" systm "," system ",raw$public.remarks)
raw$public.remarks <- gsub(" tastefully "," tasteful ",raw$public.remarks)
raw$public.remarks <- gsub(" teardown "," tear down ",raw$public.remarks)
raw$public.remarks <- gsub(" teens "," teen ",raw$public.remarks)
raw$public.remarks <- gsub(" tenants "," tenant ",raw$public.remarks)
raw$public.remarks <- gsub(" terraced "," terrace ",raw$public.remarks)
raw$public.remarks <- gsub(" theatre "," theater ",raw$public.remarks)
raw$public.remarks <- gsub(" though "," through ",raw$public.remarks)
raw$public.remarks <- gsub(" thoughout "," throughout ",raw$public.remarks)
raw$public.remarks <- gsub(" throught "," throughout ",raw$public.remarks)
raw$public.remarks <- gsub(" throughtout "," throughout ",raw$public.remarks)
raw$public.remarks <- gsub(" througout "," throughout ",raw$public.remarks)
raw$public.remarks <- gsub(" throut "," throughout ",raw$public.remarks)
raw$public.remarks <- gsub(" thru "," through ",raw$public.remarks)
raw$public.remarks <- gsub(" thruout "," throughout ",raw$public.remarks)
raw$public.remarks <- gsub(" thruoutnew "," throughout new ",raw$public.remarks)
raw$public.remarks <- gsub(" tiled "," tile ",raw$public.remarks)
raw$public.remarks <- gsub(" tiles "," tile ",raw$public.remarks)
raw$public.remarks <- gsub(" timers "," timer ",raw$public.remarks)
raw$public.remarks <- gsub(" toilets "," toilet ",raw$public.remarks)
raw$public.remarks <- gsub(" topoftheline "," top of the line ",raw$public.remarks)
raw$public.remarks <- gsub(" touches "," touch ",raw$public.remarks)
raw$public.remarks <- gsub(" towards "," toward ",raw$public.remarks)
raw$public.remarks <- gsub(" trad "," traditional ",raw$public.remarks)
raw$public.remarks <- gsub(" tradional "," traditional ",raw$public.remarks)
raw$public.remarks <- gsub(" traditonal "," traditional ",raw$public.remarks)
raw$public.remarks <- gsub(" tradl "," traditional ",raw$public.remarks)
raw$public.remarks <- gsub(" tradtional "," traditional ",raw$public.remarks)
raw$public.remarks <- gsub(" trails "," trail ",raw$public.remarks)
raw$public.remarks <- gsub(" trane "," train ",raw$public.remarks)
raw$public.remarks <- gsub(" tranquility "," tranquil ",raw$public.remarks)
raw$public.remarks <- gsub(" transoms "," transom ",raw$public.remarks)
raw$public.remarks <- gsub(" treatments "," treatment ",raw$public.remarks)
raw$public.remarks <- gsub(" treed "," tree ",raw$public.remarks)
raw$public.remarks <- gsub(" treelined "," tree lined ",raw$public.remarks)
raw$public.remarks <- gsub(" treyed "," trey ",raw$public.remarks)
raw$public.remarks <- gsub(" treys "," trey ",raw$public.remarks)
raw$public.remarks <- gsub(" trimmed "," trim ",raw$public.remarks)
raw$public.remarks <- gsub(" trimwork "," trim work ",raw$public.remarks)
raw$public.remarks <- gsub(" truely "," truly ",raw$public.remarks)
raw$public.remarks <- gsub(" tubs "," tub ",raw$public.remarks)
raw$public.remarks <- gsub(" twocar "," two car ",raw$public.remarks)
raw$public.remarks <- gsub(" twostory "," two story ",raw$public.remarks)
raw$public.remarks <- gsub(" unbelievably "," unbelievable ",raw$public.remarks)
raw$public.remarks <- gsub(" unbelieveable "," unbelievable ",raw$public.remarks)
raw$public.remarks <- gsub(" undrwr "," underwriting ",raw$public.remarks)
raw$public.remarks <- gsub(" unfin "," unfinished ",raw$public.remarks)
raw$public.remarks <- gsub(" unfnshd "," unfinished ",raw$public.remarks)
raw$public.remarks <- gsub(" uniquely "," unique ",raw$public.remarks)
raw$public.remarks <- gsub(" units "," unit ",raw$public.remarks)
raw$public.remarks <- gsub(" univ "," university ",raw$public.remarks)
raw$public.remarks <- gsub(" upd "," updated ",raw$public.remarks)
raw$public.remarks <- gsub(" updatd "," updated ",raw$public.remarks)
raw$public.remarks <- gsub(" updates "," updated ",raw$public.remarks)
raw$public.remarks <- gsub(" updtd "," updated ",raw$public.remarks)
raw$public.remarks <- gsub(" updted "," updated ",raw$public.remarks)
raw$public.remarks <- gsub(" upgr "," upgraded ",raw$public.remarks)
raw$public.remarks <- gsub(" upgrad "," upgraded ",raw$public.remarks)
raw$public.remarks <- gsub(" upgrade "," upgraded ",raw$public.remarks)
raw$public.remarks <- gsub(" upgraded "," upgraded ",raw$public.remarks)
raw$public.remarks <- gsub(" upgrades "," upgraded ",raw$public.remarks)
raw$public.remarks <- gsub(" upgrd "," upgraded ",raw$public.remarks)
raw$public.remarks <- gsub(" upgrded "," upgraded ",raw$public.remarks)
raw$public.remarks <- gsub(" upgrds "," upgraded ",raw$public.remarks)
raw$public.remarks <- gsub(" upstair "," upstairs ",raw$public.remarks)
raw$public.remarks <- gsub(" upstrs "," upstairs ",raw$public.remarks)
raw$public.remarks <- gsub(" util "," utility ",raw$public.remarks)
raw$public.remarks <- gsub(" utilities "," utility ",raw$public.remarks)
raw$public.remarks <- gsub(" vacantshow "," vacant show ",raw$public.remarks)
raw$public.remarks <- gsub(" valted "," vaulted ",raw$public.remarks)
raw$public.remarks <- gsub(" values "," value ",raw$public.remarks)
raw$public.remarks <- gsub(" valuted "," vaulted ",raw$public.remarks)
raw$public.remarks <- gsub(" vanities "," vanity ",raw$public.remarks)
raw$public.remarks <- gsub(" vaul "," vaulted ",raw$public.remarks)
raw$public.remarks <- gsub(" vault "," vaulted ",raw$public.remarks)
raw$public.remarks <- gsub(" vaultd "," vaulted ",raw$public.remarks)
raw$public.remarks <- gsub(" vaults "," vaulted ",raw$public.remarks)
raw$public.remarks <- gsub(" verification "," verify ",raw$public.remarks)
raw$public.remarks <- gsub(" victoria "," victorian ",raw$public.remarks)
raw$public.remarks <- gsub(" viewed "," view ",raw$public.remarks)
raw$public.remarks <- gsub(" viewing "," view ",raw$public.remarks)
raw$public.remarks <- gsub(" views "," view ",raw$public.remarks)
raw$public.remarks <- gsub(" vlt "," vaulted ",raw$public.remarks)
raw$public.remarks <- gsub(" vltd "," vaulted ",raw$public.remarks)
raw$public.remarks <- gsub(" vlted "," vaulted ",raw$public.remarks)
raw$public.remarks <- gsub(" wainscot "," wainscoting ",raw$public.remarks)
raw$public.remarks <- gsub(" wainscotting "," wainscoting ",raw$public.remarks)
raw$public.remarks <- gsub(" walkincloset "," walkin closet ",raw$public.remarks)
raw$public.remarks <- gsub(" walkins "," walkin ",raw$public.remarks)
raw$public.remarks <- gsub(" walkways "," walkway ",raw$public.remarks)
raw$public.remarks <- gsub(" walltowall "," wall to wall ",raw$public.remarks)
raw$public.remarks <- gsub(" wanted "," want ",raw$public.remarks)
raw$public.remarks <- gsub(" wanting "," want ",raw$public.remarks)
raw$public.remarks <- gsub(" wants "," want ",raw$public.remarks)
raw$public.remarks <- gsub(" warming "," warm ",raw$public.remarks)
raw$public.remarks <- gsub(" warmth "," warm ",raw$public.remarks)
raw$public.remarks <- gsub(" warr "," warranty ",raw$public.remarks)
raw$public.remarks <- gsub(" warranted "," warranty ",raw$public.remarks)
raw$public.remarks <- gsub(" warranties "," warranty ",raw$public.remarks)
raw$public.remarks <- gsub(" waterfalls "," waterfall ",raw$public.remarks)
raw$public.remarks <- gsub(" waterfront "," water front ",raw$public.remarks)
raw$public.remarks <- gsub(" waters "," water ",raw$public.remarks)
raw$public.remarks <- gsub(" wd "," wood ",raw$public.remarks)
raw$public.remarks <- gsub(" wded "," wooded ",raw$public.remarks)
raw$public.remarks <- gsub(" wds "," woods ",raw$public.remarks)
raw$public.remarks <- gsub(" wdws "," windows ",raw$public.remarks)
raw$public.remarks <- gsub(" welcomed "," welcome ",raw$public.remarks)
raw$public.remarks <- gsub(" welcomes "," welcome ",raw$public.remarks)
raw$public.remarks <- gsub(" welcoming "," welcome ",raw$public.remarks)
raw$public.remarks <- gsub(" wellkept "," well kept ",raw$public.remarks)
raw$public.remarks <- gsub(" wellmaintained "," well maintained ",raw$public.remarks)
raw$public.remarks <- gsub(" wellsfargo "," wells fargo ",raw$public.remarks)
raw$public.remarks <- gsub(" wetbar "," wet bar ",raw$public.remarks)
raw$public.remarks <- gsub(" whereis "," where is ",raw$public.remarks)
raw$public.remarks <- gsub(" whirlpl "," whirlpool ",raw$public.remarks)
raw$public.remarks <- gsub(" whirpool "," whirlpool ",raw$public.remarks)
raw$public.remarks <- gsub(" whistle "," whistles ",raw$public.remarks)
raw$public.remarks <- gsub(" whrlpl "," whirlpool ",raw$public.remarks)
raw$public.remarks <- gsub(" windowed "," window ",raw$public.remarks)
raw$public.remarks <- gsub(" windows "," window ",raw$public.remarks)
raw$public.remarks <- gsub(" windowsnew "," window new ",raw$public.remarks)
raw$public.remarks <- gsub(" windws "," window ",raw$public.remarks)
raw$public.remarks <- gsub(" wkin "," walkin ",raw$public.remarks)
raw$public.remarks <- gsub(" wkshop "," workshop ",raw$public.remarks)
raw$public.remarks <- gsub(" wkshp "," workshop ",raw$public.remarks)
raw$public.remarks <- gsub(" wlk "," walk ",raw$public.remarks)
raw$public.remarks <- gsub(" wlkin "," walkin ",raw$public.remarks)
raw$public.remarks <- gsub(" wndw "," window ",raw$public.remarks)
raw$public.remarks <- gsub(" wndws "," window ",raw$public.remarks)
raw$public.remarks <- gsub(" wonderfull "," wonderful ",raw$public.remarks)
raw$public.remarks <- gsub(" wonderfully "," wonderful ",raw$public.remarks)
raw$public.remarks <- gsub(" woodburning "," wood burning ",raw$public.remarks)
raw$public.remarks <- gsub(" woods "," wood ",raw$public.remarks)
raw$public.remarks <- gsub(" wraparound "," wrap around ",raw$public.remarks)
raw$public.remarks <- gsub(" wraps "," wrap ",raw$public.remarks)
raw$public.remarks <- gsub(" wrkshp "," workshop ",raw$public.remarks)
raw$public.remarks <- gsub(" wshr "," washer ",raw$public.remarks)
raw$public.remarks <- gsub(" xl "," extra large ",raw$public.remarks)
raw$public.remarks <- gsub(" xlarge "," extra large ",raw$public.remarks)
raw$public.remarks <- gsub(" xlg "," extra large ",raw$public.remarks)
raw$public.remarks <- gsub(" xlrg "," extra large ",raw$public.remarks)
raw$public.remarks <- gsub(" xtra "," extra ",raw$public.remarks)
raw$public.remarks <- gsub(" xtras "," extra ",raw$public.remarks)
raw$public.remarks <- gsub(" yardgreat "," yard great ",raw$public.remarks)
raw$public.remarks <- gsub(" yards "," yard ",raw$public.remarks)
raw$public.remarks <- gsub(" years "," year ",raw$public.remarks)
raw$public.remarks <- gsub(" zoned "," zoning ",raw$public.remarks)
raw$public.remarks <- gsub(" as is "," asis ",raw$public.remarks)
raw$public.remarks <- gsub(" 0 "," zero ",raw$public.remarks)
raw$public.remarks <- gsub(" 0 "," zero ",raw$public.remarks)
raw$public.remarks <- gsub(" 1 "," one ",raw$public.remarks)
raw$public.remarks <- gsub(" 2 "," two ",raw$public.remarks)
raw$public.remarks <- gsub(" 3 "," three ",raw$public.remarks)
raw$public.remarks <- gsub(" 4 "," four ",raw$public.remarks)
raw$public.remarks <- gsub(" 5 "," five ",raw$public.remarks)
raw$public.remarks <- gsub(" 6 "," six ",raw$public.remarks)
raw$public.remarks <- gsub(" 7 "," seven ",raw$public.remarks)
raw$public.remarks <- gsub(" 8 "," eight ",raw$public.remarks)
raw$public.remarks <- gsub(" 9 "," nine ",raw$public.remarks)
raw$public.remarks <- gsub(" 10 "," ten ",raw$public.remarks)
raw$public.remarks <- gsub(" 11 "," eleven ",raw$public.remarks)
raw$public.remarks <- gsub(" 12 "," twelve ",raw$public.remarks)
raw$public.remarks <- gsub(" 13 "," thirteen ",raw$public.remarks)
raw$public.remarks <- gsub(" 14 "," fourteen ",raw$public.remarks)
raw$public.remarks <- gsub(" 15 "," fifteen ",raw$public.remarks)
raw$public.remarks <- gsub(" 16 "," sixteen ",raw$public.remarks)
raw$public.remarks <- gsub(" 17 "," seventeen ",raw$public.remarks)
raw$public.remarks <- gsub(" 18 "," eighteen ",raw$public.remarks)
raw$public.remarks <- gsub(" 19 "," nineteen ",raw$public.remarks)
raw$public.remarks <- gsub(" 20 "," twenty ",raw$public.remarks)
raw$public.remarks <- gsub(" back yard "," backyard ",raw$public.remarks)

raw$public.remarks <- gsub(" buyers "," buyer ",raw$public.remarks)
raw$public.remarks <- gsub(" sellers "," seller ",raw$public.remarks)
raw$public.remarks <- gsub(" bedrooms "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" rooms "," room ",raw$public.remarks)
raw$public.remarks <- gsub(" baths "," bath ",raw$public.remarks)
raw$public.remarks <- gsub(" beds "," bedroom ",raw$public.remarks)
raw$public.remarks <- gsub(" bath "," bathroom ",raw$public.remarks)
raw$public.remarks <- gsub(" living room "," livingroom ",raw$public.remarks)
raw$public.remarks <- gsub(" dining room "," diningroom ",raw$public.remarks)
raw$public.remarks <- gsub(" family room "," familyroom ",raw$public.remarks)
raw$public.remarks <- gsub(" formal room "," formalroom ",raw$public.remarks)
raw$public.remarks <- gsub(" game room "," gameroom ",raw$public.remarks)
raw$public.remarks <- gsub(" great room "," greatroom ",raw$public.remarks)
raw$public.remarks <- gsub(" laundry room "," laundryroom ",raw$public.remarks)
raw$public.remarks <- gsub(" media room "," mediaroom ",raw$public.remarks)
raw$public.remarks <- gsub(" mud room "," mudroom ",raw$public.remarks)
raw$public.remarks <- gsub(" play room "," playroom ",raw$public.remarks)
raw$public.remarks <- gsub(" powder room "," powderroom ",raw$public.remarks)
raw$public.remarks <- gsub(" rec room "," recroom ",raw$public.remarks)
raw$public.remarks <- gsub(" recreation room "," recreation room ",raw$public.remarks)
raw$public.remarks <- gsub(" sitting room "," sittingroom ",raw$public.remarks)
raw$public.remarks <- gsub(" sun room "," sunroom ",raw$public.remarks)
raw$public.remarks <- gsub(" +"," ",raw$public.remarks)

### stopwords
stop.words.mls <- stopwords(kind='en')
stop.words.mls <- c("for","and","but","or","yet","so","nor","a","an","the","of","to","w",
"t","o","n","s","is","it","this","with","other","on","has","in")

### gather the bigrams in the data
tokens.bigram <- as.list(raw$public.remarks)
tokens.unigram <- as.list(raw$public.remarks)
t0 <- Sys.time()
t.loop <- Sys.time()
for(i in 1:nrow(raw))
{
txt <- raw$public.remarks[i]
txt <- paste(" ",txt," ",sep="")
#for(www in 1:nrow(words))
#{
#txt <- gsub(paste(" ",words[www,1]," ",sep=""),paste(" ",words[www,2]," ",sep=""),txt)	
#}

txt <- removeWords(txt , stop.words.mls)
txt <- gsub(" +"," ",txt)
raw$public.remarks[i] <- "DONE"
#txt <- stemDocument(txt)
#txt <- sapply(txt,wordStem)
txt <- str_split(txt," ")[[1]]
txt <- txt[which(txt!="")]
txt <- txt[which(str_length(txt)>1)]
bigram <- ""
if(length(txt)>1)
{
bigram <- paste(txt[1:(length(txt)-1)],txt[2:length(txt)])
bigram <- bigram[!str_detect(bigram,"STOP")]
tokens.bigram[[i]] <- bigram
unigram <- txt
unigram <- unigram[!str_detect(unigram,"STOP")]
tokens.unigram[[i]] <- unigram
tokens.bigram[[i]] <- bigram
#raw$public.remarks[i] <- "DONE"
}
if(i%%floor(0.01*nrow(raw))==0) print(format(i/nrow(raw),nsmall=2))
if(i%%floor(0.01*nrow(raw))==0) print(Sys.time()-t.loop)
if(i%%floor(0.01*nrow(raw))==0) t.loop <- Sys.time()
}
print(Sys.time()-t0)

### calculate the tokens
total.tokens.bigrams <- -sort(-table(unlist(tokens.bigram)))
N <- pmin(tokens.to.keep,(length(total.tokens.bigrams)-1))
total.tokens.bigrams <- total.tokens.bigrams[1:N]
tail(total.tokens.bigrams)
write.csv(total.tokens.bigrams,file="bigram.count.csv")

total.tokens.unigrams <- -sort(-table(unlist(tokens.unigram)))
N <- pmin(tokens.to.keep,(length(total.tokens.unigrams)-1))
total.tokens.unigrams <- total.tokens.unigrams[1:N]
tail(total.tokens.unigrams)
uni <- cbind(names(total.tokens.unigrams),total.tokens.unigrams)
write.csv(total.tokens.unigrams,file="unigram.count.csv")

### cut down the list to use
object.size(tokens.bigram)
for(n in 1:length(tokens.bigram))
{
o1 <- which(is.na(match(tokens.bigram[[n]],names(total.tokens.bigrams))))
if(length(o1>0)) tokens.bigram[[n]] <- tokens.bigram[[n]][-o1]
if(n%%floor(0.1*length(tokens.bigram))==0) print(n/length(tokens.bigram))
}
object.size(tokens.bigram)

object.size(tokens.unigram)
for(n in 1:length(tokens.unigram))
{
o1 <- which(is.na(match(tokens.unigram[[n]],names(total.tokens.unigrams))))
if(length(o1>0)) tokens.unigram[[n]] <- tokens.unigram[[n]][-o1]
if(n%%floor(0.1*length(tokens.unigram))==0) print(n/length(tokens.unigram))
}
object.size(tokens.unigram)

save(tokens.bigram,file="big.unigram.list")
save(tokens.unigram,file="big.bigram.list")